REM WLA-DX COMPILE SCRIPT
REM You MUST call this script with two command-line arguments:
REM COMPILE <SHELL> <PLATFORM>
REM The SHELL is the SHELL variable from the source file - NONE, ION or MIRAGE
REM The PLATFORM is the PLATFORM variabel from the source file - REGULAR or PLUS

REM Delete old linker and object files
IF EXIST ../Bin/object DEL ../Bin/object
IF EXIST ../Bin/linkfile DEL ../Bin/linkfile

REM Set up paths and open the error log file
CD "%SOURCE_DIR%"
SET PATH=%PATH%;"%COMPILE_DIR%"
ERRLOG START > "%ERROR_LOG%"

REM Run the assembler
ECHO Assembling %SOURCE_FILE%
WLA-Z80 -o -DSHELL="%1" -DPLATFORM="%2" "%SOURCE_FILE%" ../Bin/object > error.log 2<&1

REM Pipe the error log through the error log translator
TYPE error.log | WLAERR /o /1 >> "%ERROR_LOG%"
DEL error.log

REM Create the linker file
ECHO [objects] > ../Bin/linkfile
ECHO object >> ../Bin/linkfile

REM Link after switching to the correct directory
ECHO Linking object file...
CD ../Bin
WLALINK -dbvs linkfile "%SOURCE_FILE_NOEXT%.bin" > error.log 2<&1

REM Pipe the error log through the error log translator
TYPE error.log | WLAERR /o /2 >> "%ERROR_LOG%"
DEL error.log

REM Clean up the linker and object files
IF EXIST linkfile DEL linkfile
IF EXIST object DEL object

REM Take the binary and turn it into an 8XP
ECHO Output "%PROJECT_NAME%.8xp"
8XPLINK ("%SOURCE_FILE_NOEXT%.bin","%PROJECT_BINARY%") "%PROJECT_NAME%.8xp" /o /x >> "%ERROR_LOG%"
IF EXIST "%SOURCE_FILE_NOEXT%.bin" DEL "%SOURCE_FILE_NOEXT%.bin"

REM Close off the error log
ERRLOG END >> "%ERROR_LOG%"