; ======================================================================
; Include File for the TI-83 Plus - modified by Ben Ryves for
; use with the WLA-DX assembler as part of Latenite.
; ======================================================================


; ======================================================================
; Commonly used TI-83 Plus macros
; ======================================================================
.MACRO bcall
	rst rBR_CALL
	.DW \1
.ENDM
.MACRO bjump
	call BRT_JUMP0
	.DW \1
.ENDM
.MACRO errhandon
	ld hl, \1
	call 59h
.ENDM
.MACRO errhandoff
	call 5Ch
.ENDM

; ======================================================================
; System variable equates
; ======================================================================
.DEFINE usermemoff = $89EC

.DEFINE XSCLt = 2
.DEFINE YSCLt = 3
.DEFINE XMINt = 0Ah
.DEFINE XMAXt = 0Bh
.DEFINE YMINt = 0Ch
.DEFINE YMAXt = 0Dh
.DEFINE TMINt = 0Eh
.DEFINE TMAXt = 0Fh
.DEFINE THETMINt = 10h
.DEFINE THETMAXt = 11h
.DEFINE TBLMINt = 1Ah
.DEFINE PLOTSTARTt = 1Bh
.DEFINE NMAXt = 1Dh
.DEFINE NMINt = 1Fh
.DEFINE TBLSTEPt = 21h
.DEFINE TSTEPt = 22h
.DEFINE THETSTEPt = 23h
.DEFINE DELTAXt = 26h
.DEFINE DELTAYt = 27h
.DEFINE XFACTt = 28h
.DEFINE YFACTt = 29h
.DEFINE FINNt = 2Bh
.DEFINE FINIt = 2Ch
.DEFINE FINPVt = 2Dh
.DEFINE FINPMTt = 2Eh
.DEFINE FINFVt = 2Fh
.DEFINE FINPYt = 30h
.DEFINE FINCYt = 31h
.DEFINE PLOTSTEPt = 34h
.DEFINE XRESt = 36h
.DEFINE busyPause = %10101010
.DEFINE busyNormal = %11110000

; ======================================================================
; Macro to call base code from an application
; ======================================================================
.DEFINE rBR_CALL = 28h
.DEFINE BRT_JUMP0 = 50h

; ======================================================================
; Error-handling macros
; ======================================================================
.DEFINE APP_PUSH_ERRORH = 59h
.DEFINE APP_POP_ERRORH = 5Ch


; ======================================================================
; Common subroutine RST numbers
; ======================================================================
.DEFINE rOP1TOOP2 = 08h
.DEFINE rFINDSYM = 10h
.DEFINE rPUSHREALO1 = 18h
.DEFINE rMOV9TOOP1 = 20h
.DEFINE rFPADD = 30h

; ======================================================================
; Entry points
; ======================================================================
.DEFINE _AbsO1O2Cp = 410Eh
.DEFINE _AbsO1PAbsO2 = 405Ah
.DEFINE _ACos = 40DEh
.DEFINE _ACosH = 40F0h
.DEFINE _ACosRad = 40D2h
.DEFINE _AdrLEle = 462Dh
.DEFINE _AdrMEle = 4609h
.DEFINE _AdrMRow = 4606h
.DEFINE _AllEq = 4876h
.DEFINE _AllocFPS = 43A5h
.DEFINE _AllocFPS1 = 43A8h
.DEFINE _Angle = 4102h
.DEFINE _AnsName = 4B52h
.DEFINE _ApdSetup = 4C93h
.DEFINE _AppGetCalc = 4C78h
.DEFINE _AppGetCbl = 4C75h
.DEFINE _Arc_Unarc = 4FD8h
.DEFINE _ASin = 40E4h
.DEFINE _ASinH = 40EDh
.DEFINE _ASinRad = 40DBh
.DEFINE _ATan = 40E1h
.DEFINE _ATan2 = 40E7h
.DEFINE _ATan2Rad = 40D8h
.DEFINE _ATanH = 40EAh
.DEFINE _ATanRad = 40D5h
.DEFINE _BinOPExec = 4663h
.DEFINE _Bit_VertSplit = 4FA8h
.DEFINE _BufClr = 5074h
.DEFINE _BufCpy = 5071h
.DEFINE _CAbs = 4E97h
.DEFINE _CAdd = 4E88h
.DEFINE _CanAlphIns = 4C69h
.DEFINE _CDiv = 4E94h
.DEFINE _CDivByReal = 4EBBh
.DEFINE _CEtoX = 4EA9h
.DEFINE _CFrac = 4EC1h
.DEFINE _CheckSplitFlag = 49F0h
.DEFINE _ChkFindSym = 42F1h
.DEFINE _CIntgr = 4EC4h
.DEFINE _CircCmd = 47D4h
.DEFINE _CkInt = 4234h
.DEFINE _CkOdd = 4237h
.DEFINE _CkOP1C0 = 4225h
.DEFINE _CkOP1Cplx = 40FCh
.DEFINE _CkOP1FP0 = 4228h
.DEFINE _CkOP1Pos = 4258h
.DEFINE _CkOP1Real = 40FFh
.DEFINE _CkOP2FP0 = 422Bh
.DEFINE _CkOP2Pos = 4255h
.DEFINE _CkOP2Real = 42DFh
.DEFINE _CkPosInt = 4231h
.DEFINE _CkValidNum = 4270h
.DEFINE _CleanAll = 4A50h
.DEFINE _ClearRect = 4D5Ch
.DEFINE _ClearRow = 4CEDh
.DEFINE _CLine = 4798h
.DEFINE _CLineS = 479Bh
.DEFINE _CLN = 4EA0h
.DEFINE _CLog = 4EA3h
.DEFINE _CloseEditBufNoR = 476Eh
.DEFINE _CloseProg = 4A35h
.DEFINE _ClrGraphRef = 4A38h
.DEFINE _ClrLCD = 4543h
.DEFINE _ClrLCDFull = 4540h
.DEFINE _ClrLp = 41D1h
.DEFINE _ClrOP1S = 425Eh
.DEFINE _ClrOP2S = 425Bh
.DEFINE _ClrScrn = 4549h
.DEFINE _ClrScrnFull = 4546h
.DEFINE _ClrTxtShd = 454Ch
.DEFINE _CMltByReal = 4EB8h
.DEFINE _CmpSyms = 4A4Ah
.DEFINE _CMult = 4E8Eh
.DEFINE _Conj = 4EB5h
.DEFINE _ConvDim = 4B43h
.DEFINE _ConvDim00 = 4B46h
.DEFINE _ConvLcToLr = 4A23h
.DEFINE _ConvLrToLc = 4A56h
.DEFINE _ConvOP1 = 4AEFh
.DEFINE _COP1Set0 = 4105h
.DEFINE _Cos = 40C0h
.DEFINE _CosH = 40CCh
.DEFINE _CpHLDE = 400Ch
.DEFINE _CPoint = 4DC8h
.DEFINE _CPointS = 47F5h
.DEFINE _CpOP1OP2 = 4111h
.DEFINE _CpOP4OP3 = 4108h
.DEFINE _CpyO1ToFPS1 = 445Ch
.DEFINE _CpyO1ToFPS2 = 446Bh
.DEFINE _CpyO1ToFPS3 = 4477h
.DEFINE _CpyO1ToFPS4 = 4489h
.DEFINE _CpyO1ToFPS5 = 4483h
.DEFINE _CpyO1ToFPS6 = 447Dh
.DEFINE _CpyO1ToFPS7 = 4480h
.DEFINE _CpyO1ToFPST = 444Ah
.DEFINE _CpyO2ToFPS1 = 4459h
.DEFINE _CpyO2ToFPS2 = 4462h
.DEFINE _CpyO2ToFPS3 = 4474h
.DEFINE _CpyO2ToFPS4 = 4486h
.DEFINE _CpyO2ToFPST = 4444h
.DEFINE _CpyO3ToFPS1 = 4453h
.DEFINE _CpyO3ToFPS2 = 4465h
.DEFINE _CpyO3ToFPST = 4441h
.DEFINE _CpyO5ToFPS1 = 4456h
.DEFINE _CpyO5ToFPS3 = 4471h
.DEFINE _CpyO6ToFPS2 = 4468h
.DEFINE _CpyO6ToFPST = 4447h
.DEFINE _CpyStack = 4429h
.DEFINE _CpyTo1FPS1 = 4432h
.DEFINE _CpyTo1FPS10 = 43F3h
.DEFINE _CpyTo1FPS11 = 43D8h
.DEFINE _CpyTo1FPS2 = 443Bh
.DEFINE _CpyTo1FPS3 = 4408h
.DEFINE _CpyTo1FPS4 = 440Eh
.DEFINE _CpyTo1FPS5 = 43DEh
.DEFINE _CpyTo1FPS6 = 43E4h
.DEFINE _CpyTo1FPS7 = 43EAh
.DEFINE _CpyTo1FPS8 = 43EDh
.DEFINE _CpyTo1FPS9 = 43F6h
.DEFINE _CpyTo1FPST = 4423h
.DEFINE _CpyTo2FPS1 = 442Fh
.DEFINE _CpyTo2FPS2 = 4438h
.DEFINE _CpyTo2FPS3 = 4402h
.DEFINE _CpyTo2FPS4 = 43F9h
.DEFINE _CpyTo2FPS5 = 43DBh
.DEFINE _CpyTo2FPS6 = 43E1h
.DEFINE _CpyTo2FPS7 = 43E7h
.DEFINE _CpyTo2FPS8 = 43F0h
.DEFINE _CpyTo2FPST = 4420h
.DEFINE _CpyTo3FPS1 = 442Ch
.DEFINE _CpyTo3FPS2 = 4411h
.DEFINE _CpyTo3FPST = 441Dh
.DEFINE _CpyTo4FPST = 441Ah
.DEFINE _CpyTo5FPST = 4414h
.DEFINE _CpyTo6FPS2 = 43FFh
.DEFINE _CpyTo6FPS3 = 43FCh
.DEFINE _CpyTo6FPST = 4417h
.DEFINE _CpyToFPS1 = 445Fh
.DEFINE _CpyToFPS2 = 446Eh
.DEFINE _CpyToFPS3 = 447Ah
.DEFINE _CpyToFPST = 444Dh
.DEFINE _CpyToStack = 4450h
.DEFINE _Create0Equ = 432Ah
.DEFINE _CreateAppVar = 4E6Ah
.DEFINE _CreateCList = 431Bh
.DEFINE _CreateCplx = 430Ch
.DEFINE _CreateEqu  = 4330h
.DEFINE _CreatePair = 4B0Dh
.DEFINE _CreatePict = 4333h
.DEFINE _CreateProg = 4339h
.DEFINE _CreateProtProg = 4E6Dh
.DEFINE _CreateReal = 430Fh
.DEFINE _CreateRList = 4315h
.DEFINE _CreateRMat = 4321h
.DEFINE _CreateStrng = 4327h
.DEFINE _CRecip = 4E91h
.DEFINE _CSqRoot = 4E9Dh
.DEFINE _CSquare = 4E8Bh
.DEFINE _CSub = 4E85h
.DEFINE _CTenX = 4EA6h
.DEFINE _CTrunc = 4EBEh
.DEFINE _Cube = 407Bh
.DEFINE _CursorOff = 45BEh
.DEFINE _CursorOn = 45C4h
.DEFINE _CXrootY = 4EACh
.DEFINE _CYtoX = 4EB2h
.DEFINE _DarkLine = 47DDh
.DEFINE _DarkPnt = 47F2h
.DEFINE _DataSize = 436Ch
.DEFINE _DataSizeA = 4369h
.DEFINE _DeallocFPS = 439Fh
.DEFINE _DeallocFPS1 = 43A2h
.DEFINE _DecO1Exp = 4267h
.DEFINE _DelListEl = 4A2Fh
.DEFINE _DelMem = 4357h
.DEFINE _DelRes = 4A20h
.DEFINE _DelVar = 4351h
.DEFINE _DelVarArc = 4FC6h
.DEFINE _DelVarNoArc = 4FC9h
.DEFINE _DisableApd = 4C84h
.DEFINE _Disp = 4F45h
.DEFINE _DispDone = 45B5h
.DEFINE _DispEOL = 45A6h
.DEFINE _DispHL = 4507h
.DEFINE _DisplayImage = 4D9Bh
.DEFINE _DispOP1A = 4BF7h
.DEFINE _DivHLBy10 = 400Fh
.DEFINE _DivHLByA = 4012h
.DEFINE _DrawCirc2 = 4C66h
.DEFINE _DrawCmd = 48C1h
.DEFINE _DrawRectBorder = 4D7Dh
.DEFINE _DrawRectBorderClear = 4D8Ch
.DEFINE _DToR = 4075h
.DEFINE _EditProg = 4A32h
.DEFINE _EnableApd = 4C87h
.DEFINE _EnoughMem = 42FDh
.DEFINE _EOP1NotReal = 4279h
.DEFINE _Equ_or_NewEqu = 42C4h
.DEFINE _EraseEOL = 4552h
.DEFINE _EraseRectBorder = 4D86h
.DEFINE _ErrArgument = 44ADh
.DEFINE _ErrBadGuess = 44CBh
.DEFINE _ErrBreak = 44BFh
.DEFINE _ErrD_OP1_0 = 42D3h
.DEFINE _ErrD_OP1_LE_0 = 42D0h
.DEFINE _ErrD_OP1Not_R = 42CAh
.DEFINE _ErrD_OP1NotPos = 42C7h
.DEFINE _ErrD_OP1NotPosInt = 42CDh
.DEFINE _ErrDataType = 44AAh
.DEFINE _ErrDimension = 44B3h
.DEFINE _ErrDimMismatch = 44B0h
.DEFINE _ErrDivBy0 = 4498h
.DEFINE _ErrDomain = 449Eh
.DEFINE _ErrIncrement = 44A1h
.DEFINE _ErrInvalid = 44BCh
.DEFINE _ErrIterations = 44C8h
.DEFINE _ErrLinkXmit = 44D4h
.DEFINE _ErrMemory = 44B9h
.DEFINE _ErrNon_Real = 44A4h
.DEFINE _ErrNonReal = 4A8Ch
.DEFINE _ErrNotEnoughMem = 448Ch
.DEFINE _ErrOverflow = 4495h
.DEFINE _ErrSignChange = 44C5h
.DEFINE _ErrSingularMat = 449Bh
.DEFINE _ErrStat = 44C2h
.DEFINE _ErrStatPlot = 44D1h
.DEFINE _ErrSyntax = 44A7h
.DEFINE _ErrTolTooSmall = 44CEh
.DEFINE _ErrUndefined = 44B6h
.DEFINE _EToX = 40B4h
.DEFINE _Exch9 = 43D5h
.DEFINE _ExLp = 4222h
.DEFINE _ExpToHex = 424Fh
.DEFINE _Factorial = 4B85h
.DEFINE _FillRect = 4D62h
.DEFINE _FillRectPattern = 4D89h
.DEFINE _Find_Parse_Formula = 4AF2h
.DEFINE _FindAlphaDn = 4A47h
.DEFINE _FindAlphaUp = 4A44h
.DEFINE _FindApp = 4C4Eh
.DEFINE _FindAppDn = 4C4Bh
.DEFINE _FindAppNumPages = 509Bh
.DEFINE _FindAppUp = 4C48h
.DEFINE _FindSym = 42F4h
.DEFINE _FiveExec = 467Eh
.DEFINE _FixTempCnt = 4A3Bh
.DEFINE _FlashToRam = 5017h
.DEFINE _ForceFullScreen = 508Fh
.DEFINE _FormBase = 50AAh
.DEFINE _FormDCplx = 4996h
.DEFINE _FormEReal = 4990h
.DEFINE _FormReal = 4999h
.DEFINE _FourExec = 467Bh
.DEFINE _FPAdd = 4072h
.DEFINE _FPDiv = 4099h
.DEFINE _FPMult = 4084h
.DEFINE _FPRecip = 4096h
.DEFINE _FPSquare = 4081h
.DEFINE _FPSub = 406Fh
.DEFINE _Frac = 4093h
.DEFINE _GetBaseVer = 4C6Fh
.DEFINE _GetCSC = 4018h
.DEFINE _GetKey = 4972h
.DEFINE _GetLToOP1 = 4636h
.DEFINE _GetMToOP1 = 4615h
.DEFINE _GetTokLen = 4591h
.DEFINE _GrBufClr = 4BD0h
.DEFINE _GrBufCpy = 486Ah
.DEFINE _GrphCirc = 47D7h
.DEFINE _HLTimes9 = 40F9h
.DEFINE _HorizCmd = 48A6h
.DEFINE _homeup = $4558
.DEFINE _HTimesL = 4276h
.DEFINE _IBounds = 4C60h
.DEFINE _IBoundsFull = 4D98h
.DEFINE _ILine = 47E0h
.DEFINE _IncLstSize = 4A29h
.DEFINE _InsertList = 4A2Ch
.DEFINE _InsertMem = 42F7h
.DEFINE _Int = 40A5h
.DEFINE _Intgr = 405Dh
.DEFINE _InvCmd = 48C7h
.DEFINE _InvertRect = 4D5Fh
.DEFINE _InvOP1S = 408Dh
.DEFINE _InvOP1SC = 408Ah
.DEFINE _InvOP2S = 4090h
.DEFINE _InvSub = 4063h
.DEFINE _IOffset = 4C63h
.DEFINE _IPoint = 47E3h
.DEFINE _JError = 44D7h
.DEFINE _JErrorNo = 4000h
.DEFINE _JForceCmd = $402A
.DEFINE _JForceCmdNoChar = 4027h
.DEFINE _JForceGraphKey = 5005h
.DEFINE _JForceGraphNoKey = 5002h
.DEFINE _KeyToString = 45CAh
.DEFINE _LineCmd = 48ACh
.DEFINE _ldhlind = $4009
.DEFINE _LnX = 40ABh
.DEFINE _Load_SFont = 4783h
.DEFINE _LoadCIndPaged = 501Dh
.DEFINE _LoadDEIndPaged = 501Ah
.DEFINE _LoadPattern = 4CB1h
.DEFINE _LogX = 40AEh
.DEFINE _Max = 4057h
.DEFINE _MemChk = 42E5h
.DEFINE _MemClear = 4C30h
.DEFINE _MemSet = 4C33h
.DEFINE _Min = 4054h
.DEFINE _Minus1 = 406Ch
.DEFINE _Mov10B = 415Ch
.DEFINE _Mov18B = 47DAh
.DEFINE _Mov7B = 4168h
.DEFINE _Mov8B = 4165h
.DEFINE _Mov9B = 415Fh
.DEFINE _Mov9OP1OP2 = 417Dh
.DEFINE _Mov9OP2Cp = 410Bh
.DEFINE _Mov9ToOP1 = 417Ah
.DEFINE _Mov9ToOP2 = 4180h
.DEFINE _MovFrOP1 = 4183h
.DEFINE _newline = $452E
.DEFINE _OneVar = 4BA3h
.DEFINE _OP1ExOP2 = 421Fh
.DEFINE _OP1ExOP3 = 4219h
.DEFINE _OP1ExOP4 = 421Ch
.DEFINE _OP1ExOP5 = 420Dh
.DEFINE _OP1ExOP6 = 4210h
.DEFINE _OP1ExpToDec = 4252h
.DEFINE _OP1Set0 = 41BFh
.DEFINE _OP1Set1 = 419Bh
.DEFINE _OP1Set2 = 41A7h
.DEFINE _OP1Set3 = 41A1h
.DEFINE _OP1Set4 = 419Eh
.DEFINE _OP1ToOP2 = 412Fh
.DEFINE _OP1ToOP3 = 4123h
.DEFINE _OP1ToOP4 = 4117h
.DEFINE _OP1ToOP5 = 4153h
.DEFINE _OP1ToOP6 = 4150h
.DEFINE _OP2ExOP4 = 4213h
.DEFINE _OP2ExOP5 = 4216h
.DEFINE _OP2ExOP6 = 4207h
.DEFINE _OP2Set0 = 41BCh
.DEFINE _OP2Set1 = 41ADh
.DEFINE _OP2Set2 = 41AAh
.DEFINE _OP2Set3 = 4198h
.DEFINE _OP2Set4 = 4195h
.DEFINE _OP2Set5 = 418Fh
.DEFINE _OP2Set60 = 4AB0h
.DEFINE _OP2Set8 = 418Ch
.DEFINE _OP2SetA = 4192h
.DEFINE _OP2ToOP1 = 4156h
.DEFINE _OP2ToOP3 = 416Eh
.DEFINE _OP2ToOP4 = 411Ah
.DEFINE _OP2ToOP5 = 414Ah
.DEFINE _OP2ToOP6 = 414Dh
.DEFINE _OP3Set0 = 41B9h
.DEFINE _OP3Set1 = 4189h
.DEFINE _OP3Set2 = 41A4h
.DEFINE _OP3ToOP1 = 413Eh
.DEFINE _OP3ToOP2 = 4120h
.DEFINE _OP3ToOP4 = 4114h
.DEFINE _OP3ToOP5 = 4147h
.DEFINE _OP4Set0 = 41B6h
.DEFINE _OP4Set1 = 4186h
.DEFINE _OP4ToOP1 = 4138h
.DEFINE _OP4ToOP2 = 411Dh
.DEFINE _OP4ToOP3 = 4171h
.DEFINE _OP4ToOP5 = 4144h
.DEFINE _OP4ToOP6 = 4177h
.DEFINE _OP5ExOP6 = 420Ah
.DEFINE _OP5Set0 = 41B3h
.DEFINE _OP5ToOP1 = 413Bh
.DEFINE _OP5ToOP2 = 4126h
.DEFINE _OP5ToOP3 = 4174h
.DEFINE _OP5ToOP4 = 412Ch
.DEFINE _OP5ToOP6 = 4129h
.DEFINE _OP6ToOP1 = 4135h
.DEFINE _OP6ToOP2 = 4132h
.DEFINE _OP6ToOP5 = 4141h
.DEFINE _OutputExpr = 4BB2h
.DEFINE _PagedGet = 5023h
.DEFINE _ParseInp = 4A9Bh
.DEFINE _PDspGrph = 48A3h
.DEFINE _PixelTest = 48B5h
.DEFINE _Plus1 = 4069h
.DEFINE _PointCmd = 48B2h
.DEFINE _PointOn = 4C39h
.DEFINE _PopOP1 = 437Eh
.DEFINE _PopOP3 = 437Bh
.DEFINE _PopOP5 = 4378h
.DEFINE _PopReal = 4393h
.DEFINE _PopRealO1 = 4390h
.DEFINE _PopRealO2 = 438Dh
.DEFINE _PopRealO3 = 438Ah
.DEFINE _PopRealO4 = 4387h
.DEFINE _PopRealO5 = 4384h
.DEFINE _PopRealO6 = 4381h
.DEFINE _PosNo0Int = 422Eh
.DEFINE _PtoR = 40F3h
.DEFINE _PushOP1 = 43C9h
.DEFINE _PushOP3 = 43C3h
.DEFINE _PushOP5 = 43C0h
.DEFINE _PushReal = 43BDh
.DEFINE _PushRealO1 = 43BAh
.DEFINE _PushRealO2 = 43B7h
.DEFINE _PushRealO3 = 43B4h
.DEFINE _PushRealO4 = 43B1h
.DEFINE _PushRealO5 = 43AEh
.DEFINE _PushRealO6 = 43ABh
.DEFINE _PutC = 4504h
.DEFINE _PutMap = 4501h
.DEFINE _PutPS = 4510h
.DEFINE _PutS = 450Ah
.DEFINE _PutTokString = 4960h
.DEFINE _PutToL = 4645h
.DEFINE _PutToMat = 461Eh
.DEFINE _RandInit = 4B7Fh
.DEFINE _Random = 4B79h
.DEFINE _Rcl_StatVar = 42DCh
.DEFINE _RclAns = 4AD7h
.DEFINE _RclGDB2 = 47D1h
.DEFINE _RclN = 4ADDh
.DEFINE _RclSysTok = 4AE6h
.DEFINE _RclVarSym = 4AE3h
.DEFINE _RclX = 4AE0h
.DEFINE _RclY = 4ADAh
.DEFINE _Rec1stByte = 4EFAh
.DEFINE _Rec1stByteNC = 4EFDh
.DEFINE _RecAByteIO = 4F03h
.DEFINE _RedimMat = 4A26h
.DEFINE _Regraph = 488Eh
.DEFINE _ReloadAppEntryVecs = 4C36h
.DEFINE _RestoreDisp = 4870h
.DEFINE _RName = 427Fh
.DEFINE _RndGuard = 409Fh
.DEFINE _RnFx = 40A2h
.DEFINE _Round = 40A8h
.DEFINE _RToD = 4078h
.DEFINE _RToP = 40F6h
.DEFINE _RunIndicOff = 4570h
.DEFINE _RunIndicOn = 456Dh
.DEFINE _SaveDisp = 4C7Bh
.DEFINE _SendAByte = 4EE5h
.DEFINE _SetAllPlots = 4FCCh
.DEFINE _SetFuncM = 4840h
.DEFINE _SetNorm_Vals = 49FCh
.DEFINE _SetParM = 4849h
.DEFINE _SetPolM = 4846h
.DEFINE _SetSeqM = 4843h
.DEFINE _SetTblGraphDraw = 4C00h
.DEFINE _SetupPagedPtr = 5020h
.DEFINE _SetXXOP1 = 478Ch
.DEFINE _SetXXOP2 = 478Fh
.DEFINE _SetXXXXOP2 = 4792h
.DEFINE _SFont_Len = 4786h
.DEFINE _Sin = 40BDh
.DEFINE _SinCosRad = 40BAh
.DEFINE _SinH = 40CFh
.DEFINE _SinHCosH = 40C6h
.DEFINE _SqRoot = 409Ch
.DEFINE _SrchVLstDn = 4F12h
.DEFINE _SrchVLstUp = 4F0Fh
.DEFINE _SStringLength = 4CB4h
.DEFINE _StMatEl = 4AE9h
.DEFINE _StoAns = 4ABFh
.DEFINE _StoGDB2 = 47CEh
.DEFINE _StoN = 4ACBh
.DEFINE _StoOther = 4AD4h
.DEFINE _StoR = 4AC5h
.DEFINE _StoRand = 4B7Ch
.DEFINE _StoSysTok = 4ABCh
.DEFINE _StoT = 4ACEh
.DEFINE _StoTheta = 4AC2h
.DEFINE _StoX = 4AD1h
.DEFINE _StoY = 4AC8h
.DEFINE _StrCopy = 44E3h
.DEFINE _StrLength = 4C3Fh
.DEFINE _Tan = 40C3h
.DEFINE _TanH = 40C9h
.DEFINE _TanLnF = 48BBh
.DEFINE _TenX = 40B7h
.DEFINE _ThetaName = 427Ch
.DEFINE _ThreeExec = 4675h
.DEFINE _Times2 = 4066h
.DEFINE _TimesPt5 = 407Eh
.DEFINE _TName = 428Eh
.DEFINE _ToFrac = 4657h
.DEFINE _Trunc = 4060h
.DEFINE _UCLineS = 4795h
.DEFINE _UnLineCmd = 48AFh
.DEFINE _UnOPExec = 4672h
.DEFINE _VertCmd = 48A9h
.DEFINE _VPutMap = 455Eh
.DEFINE _VPutS = 4561h
.DEFINE _VPutSN = 4564h
.DEFINE _VtoWHLDE = 47FBh
.DEFINE _XftoI = 4804h
.DEFINE _Xitof = 47FEh
.DEFINE _XName = 4288h
.DEFINE _XRootY = 479Eh
.DEFINE _YftoI = 4801h
.DEFINE _YName = 428Bh
.DEFINE _YToX = 47A1h
.DEFINE _Zero16D = 41B0h
.DEFINE _ZeroOP = 41CEh
.DEFINE _ZeroOP1 = 41C5h
.DEFINE _ZeroOP2 = 41C8h
.DEFINE _ZeroOP3 = 41CBh
.DEFINE _ZmDecml = 484Fh
.DEFINE _ZmFit = 485Bh
.DEFINE _ZmInt = 484Ch
.DEFINE _ZmPrev = 4852h
.DEFINE _ZmSquare = 485Eh
.DEFINE _ZmStats = 47A4h
.DEFINE _ZmTrig = 4861h
.DEFINE _ZmUsr = 4855h
.DEFINE _ZooDefault = 4867h

; ======================================================================
; System-defined RAM Variable Address Equates
; ======================================================================
.DEFINE ramStart = 8000h
.DEFINE appData = 8000h
.DEFINE ramCode = 8100h
.DEFINE ramCodeEnd = 822Fh
.DEFINE baseAppBrTab = 8230h
.DEFINE bootTemp = 8251h
.DEFINE appSearchPage = 82A3h
.DEFINE tempSwapArea = 82A5h
.DEFINE appID = 838Dh
.DEFINE ramReturnData = 83EDh
.DEFINE arcInfo = 83EEh
.DEFINE savedArcInfo = 8406h
.DEFINE appInfo = 8432h
.DEFINE appBank_jump = 843Ch
.DEFINE appPage = 843Eh
.DEFINE kbdScanCode = 843Fh
.DEFINE kbdKey = 8444h
.DEFINE kbdGetKy = 8445h
.DEFINE keyExtend = 8446h
.DEFINE contrast = 8447h
.DEFINE apdSubTimer = 8448h
.DEFINE apdTimer = 8449h
.DEFINE curTime = 844Ah
.DEFINE curRow = 844Bh
.DEFINE curCol = 844Ch
.DEFINE curOffset = 844Dh
.DEFINE curUnder = 844Eh
.DEFINE curY = 844Fh
.DEFINE curType = 8450h
.DEFINE curXRow = 8451h
.DEFINE prevDData = 8452h
.DEFINE lFont_record = 845Ah
.DEFINE sFont_record = 8462h
.DEFINE tokVarPtr = 846Ah
.DEFINE tokLen = 846Ch
.DEFINE indicMem = 846Eh
.DEFINE indicCounter = 8476h
.DEFINE indicBusy = 8477h
.DEFINE OP1 = 8478h
.DEFINE OP1M = 847Ah
.DEFINE OP2 = 8483h
.DEFINE OP2M = 8485h
.DEFINE OP2EXT = 848Ch
.DEFINE OP3 = 848Eh
.DEFINE OP3M = 8490h
.DEFINE OP4 = 8499h
.DEFINE OP4M = 849Bh
.DEFINE OP5 = 84A4h
.DEFINE OP5M = 84A6h
.DEFINE OP6 = 84AFh
.DEFINE OP6M = 84B1h
.DEFINE OP6EXT = 84B8h
.DEFINE progToEdit = 84BFh
.DEFINE nameBuff = 84C7h
.DEFINE equ_edit_save = 84D2h
.DEFINE iMathPtr1 = 84D3h
.DEFINE iMathPtr2 = 84D5h
.DEFINE iMathPtr3 = 84D7h
.DEFINE iMathPtr4 = 84D9h
.DEFINE iMathPtr5 = 84DBh
.DEFINE chkDelPtr1 = 84DDh
.DEFINE chkDelPtr2 = 84DFh
.DEFINE insDelPtr = 84E1h
.DEFINE upDownPtr = 84E3h
.DEFINE fOutDat = 84E5h
.DEFINE asm_data_ptr1 = 84EBh
.DEFINE asm_data_ptr2 = 84EDh
.DEFINE asm_sym_ptr1 = 84EFh
.DEFINE asm_sym_ptr2 = 84F1h
.DEFINE asm_ram = 84F3h
.DEFINE asm_ind_call = 8507h
.DEFINE textShadow = 8508h
.DEFINE textShadCur = 8588h
.DEFINE textShadTop = 858Ah
.DEFINE textShadAlph = 858Bh
.DEFINE textShadIns = 858Ch
.DEFINE cxMain = 858Dh
.DEFINE cxPPutAway = 858Fh
.DEFINE cxPutAway = 8591h
.DEFINE cxRedisp = 8593h
.DEFINE cxErrorEP = 8595h
.DEFINE cxSizeWind = 8597h
.DEFINE cxPage = 8599h
.DEFINE cxCurApp = 859Ah
.DEFINE cxPrev = 859Bh
.DEFINE monQH = 85AAh
.DEFINE monQT = 85ABh
.DEFINE monQueue = 85ACh
.DEFINE onSP = 85BCh
.DEFINE promptRow = 85C0h
.DEFINE promptCol = 85C1h
.DEFINE promptIns = 85C2h
.DEFINE promptShift = 85C3h
.DEFINE promptRet = 85C4h
.DEFINE promptValid = 85C6h
.DEFINE promptTop = 85C8h
.DEFINE promptCursor = 85CAh
.DEFINE promptTail = 85CCh
.DEFINE promptBtm = 85CEh
.DEFINE varType = 85D0h
.DEFINE varCurrent = 85D1h
.DEFINE varClass = 85D9h
.DEFINE menuActive = 85DCh
.DEFINE menuAppDepth = 85DDh
.DEFINE MenuCurrent = 85DEh
.DEFINE ProgCurrent = 85E8h
.DEFINE userMenuSA = 85FEh
.DEFINE ioPrompt = 865Fh
.DEFINE dImageWidth = 8660h
.DEFINE ioFlag = 8670h
.DEFINE sndRecState = 8672h
.DEFINE ioErrState = 8673h
.DEFINE header = 8674h
.DEFINE ioData = 867Dh
.DEFINE ioNewData = 8689h
.DEFINE bakHeader = 868Bh
.DEFINE penCol = 86D7h
.DEFINE penRow = 86D8h
.DEFINE rclQueue = 86D9h
.DEFINE rclQueueEnd = 86DBh
.DEFINE errNo = 86DDh
.DEFINE errSP = 86DEh
.DEFINE errOffset = 86E0h
.DEFINE saveSScreen = 86ECh
.DEFINE bstCounter = 89EEh
.DEFINE flags = 89F0h
.DEFINE statVars = 8A3Ah
.DEFINE anovaf_vars = 8C17h
.DEFINE infVars = 8C4Dh
.DEFINE curGStyle = 8D17h
.DEFINE curGY = 8D18h
.DEFINE curGX = 8D19h
.DEFINE curGY2 = 8D1Ah
.DEFINE curGX2 = 8D1Bh
.DEFINE freeSaveY = 8D1Ch
.DEFINE freeSaveX = 8D1Dh
.DEFINE XOffset = 8DA1h
.DEFINE YOffset = 8DA2h
.DEFINE lcdTallP = 8DA3h
.DEFINE pixWideP = 8DA4h
.DEFINE pixWide_m_1 = 8DA5h
.DEFINE pixWide_m_2 = 8DA6h
.DEFINE lastEntryPTR = 8DA7h
.DEFINE lastEntryStk = 8DA9h
.DEFINE numLastEntries = 8E29h
.DEFINE currLastEntry = 8E2Ah
.DEFINE curInc = 8E67h
.DEFINE uXmin = 8E7Eh
.DEFINE uXmax = 8E87h
.DEFINE uXscl = 8E90h
.DEFINE uYmin = 8E99h
.DEFINE uYmax = 8EA2h
.DEFINE uYscl = 8EABh
.DEFINE uThetMin = 8EB4h
.DEFINE uThetMax = 8EBDh
.DEFINE uThetStep = 8EC6h
.DEFINE uTmin = 8ECFh
.DEFINE uTmax = 8ED8h
.DEFINE uTStep = 8EE1h
.DEFINE uPlotStart = 8EEAh
.DEFINE unMax = 8EF3h
.DEFINE uu0 = 8EFCh
.DEFINE uv0 = 8F05h
.DEFINE unMin = 8F0Eh
.DEFINE uu02 = 8F17h
.DEFINE uv02 = 8F20h
.DEFINE uw0 = 8F29h
.DEFINE uPlotStep = 8F32h
.DEFINE uXres = 8F3Bh
.DEFINE uw02 = 8F44h
.DEFINE Xmin = 8F50h
.DEFINE Xmax = 8F59h
.DEFINE Xscl = 8F62h
.DEFINE Ymin = 8F6Bh
.DEFINE Ymax = 8F74h
.DEFINE Yscl = 8F7Dh
.DEFINE ThetaMin = 8F86h
.DEFINE ThetaMax = 8F8Fh
.DEFINE ThetaStep = 8F98h
.DEFINE TminPar = 8FA1h
.DEFINE TmaxPar = 8FAAh
.DEFINE Tstep = 8FB3h
.DEFINE PlotStart = 8FBCh
.DEFINE nMax = 8FC5h
.DEFINE u0 = 8FCEh
.DEFINE v0 = 8FD7h
.DEFINE nMin = 8FE0h
.DEFINE u02 = 8FE9h
.DEFINE v02 = 8FF2h
.DEFINE w0 = 8FFBh
.DEFINE PlotStep = 9004h
.DEFINE XresO = 900Dh
.DEFINE w02 = 9016h
.DEFINE un1 = 901Fh
.DEFINE un2 = 9028h
.DEFINE vn1 = 9031h
.DEFINE vn2 = 903Ah
.DEFINE wn1 = 9043h
.DEFINE wn2 = 904Ch
.DEFINE fin_N = 9055h
.DEFINE fin_I = 905Eh
.DEFINE fin_PV = 9067h
.DEFINE fin_PMT = 9070h
.DEFINE fin_FV = 9079h
.DEFINE fin_PY = 9082h
.DEFINE fin_CY = 908Bh
.DEFINE cal_N = 9094h
.DEFINE cal_I = 909Dh
.DEFINE cal_PV = 90A6h
.DEFINE cal_PMT = 90AFh
.DEFINE cal_FV = 90B8h
.DEFINE cal_PY = 90C1h
.DEFINE smallEditRAM = 90D3h
.DEFINE XFact = 913Fh
.DEFINE YFact = 9148h
.DEFINE Xres_int = 9151h
.DEFINE deltaX = 9152h
.DEFINE deltaY = 915Bh
.DEFINE shortX = 9164h
.DEFINE shortY = 916Dh
.DEFINE lower = 9176h
.DEFINE upper = 917Fh
.DEFINE XOutSym = 918Ch
.DEFINE XOutDat = 918Eh
.DEFINE YOutSym = 9190h
.DEFINE YOutDat = 9192h
.DEFINE inputSym = 9194h
.DEFINE inputDat = 9196h
.DEFINE prevData = 9198h
.DEFINE TblMin = 92B3h
.DEFINE TblStep = 92BCh
.DEFINE plotSScreen = 9340h
.DEFINE seed1 = 9640h
.DEFINE seed2 = 9649h
.DEFINE cmdShadow = 966Eh
.DEFINE cmdShadCur = 96EEh
.DEFINE cmdShadAlph = 96F0h
.DEFINE cmdShadIns = 96F1h
.DEFINE cmdCursor = 96F2h
.DEFINE editTop = 96F4h
.DEFINE editCursor = 96F6h
.DEFINE editTail = 96F8h
.DEFINE editBtm = 96FAh
.DEFINE editSym = 9706h
.DEFINE editDat = 9708h
.DEFINE winTop = 97A5h
.DEFINE winBtm = 97A6h
.DEFINE winLeftEdge = 97A7h
.DEFINE winLeft = 97A8h
.DEFINE winAbove = 97AAh
.DEFINE winRow = 97ACh
.DEFINE winCol = 97AEh
.DEFINE fmtDigits = 97B0h
.DEFINE fmtString = 97B1h
.DEFINE fmtConv = 97F2h
.DEFINE fmtLeft = 9804h
.DEFINE fmtIndex = 9806h
.DEFINE fmtMatSym = 9808h
.DEFINE fmtMatMem = 980Ah
.DEFINE EQS = 980Ch
.DEFINE tSymPtr1 = 9818h
.DEFINE tSymPtr2 = 981Ah
.DEFINE chkDelPtr3 = 981Ch
.DEFINE chkDelPtr4 = 981Eh
.DEFINE tempMem = 9820h
.DEFINE fpBase = 9822h
.DEFINE FPS = 9824h
.DEFINE OPBase = 9826h
.DEFINE OPS = 9828h
.DEFINE pTempCnt = 982Ah
.DEFINE cleanTmp = 982Ch
.DEFINE pTemp = 982Eh
.DEFINE progPtr = 9830h
.DEFINE newDataPtr = 9832h
.DEFINE pagedCount = 9834h
.DEFINE pagedPN = 9835h
.DEFINE pagedGetPtr = 9836h
.DEFINE pagedPutPtr = 9838h
.DEFINE pagedBuf = 983Ah
.DEFINE appErr1 = 984Dh
.DEFINE appErr2 = 985Ah
.DEFINE flashByte1 = 9867h
.DEFINE flashByte2 = 9868h
.DEFINE freeArcBlock = 9869h
.DEFINE arcPage = 986Bh
.DEFINE arcPtr = 986Ch
.DEFINE appRawKeyHandle = 9870h
.DEFINE appBackUpScreen = 9872h
.DEFINE customHeight = 9B72h
.DEFINE localLanguage = 9B73h
.DEFINE cursorHookPtr = 9B7Ch
.DEFINE rawKeyHookPtr = 9B84h
.DEFINE getKeyHookPtr = 9B88h
.DEFINE fontHookPtr = 9B9Ch
.DEFINE restartClr = 9BD0h
.DEFINE localTokStr = 9D65h
.DEFINE keyForStr = 9D76h
.DEFINE keyToStrRam = 9D77h
.DEFINE sedMonSp = 9D88h
.DEFINE bpSave = 9D8Ah
.DEFINE userMem = 9D95h
.DEFINE symTable = 0FE66h

; ======================================================================
; System and State Flags
; ======================================================================
.DEFINE trigFlags = 0
.DEFINE trigDeg = 2
.DEFINE kbdFlags = 0
.DEFINE kbdSCR = 3
.DEFINE kbdKeyPress = 4
.DEFINE doneFlags = 0
.DEFINE donePrgm = 5
.DEFINE ioDelFlag = 0
.DEFINE inDelete = 0
.DEFINE editFlags = 1
.DEFINE editOpen = 2
.DEFINE monFlags = 1
.DEFINE monAbandon = 4
.DEFINE plotFlags = 2
.DEFINE plotLoc = 1
.DEFINE plotDisp = 2
.DEFINE grfModeFlags = 2
.DEFINE grfFuncM = 4
.DEFINE grfPolarM = 5
.DEFINE grfParamM = 6
.DEFINE grfRecurM = 7
.DEFINE graphFlags = 3
.DEFINE graphDraw = 0
.DEFINE grfDBFlags = 4
.DEFINE grfDot = 0
.DEFINE grfSimul = 1
.DEFINE grfGrid = 2
.DEFINE grfPolar = 3
.DEFINE grfNoCoord = 4
.DEFINE grfNoAxis = 5
.DEFINE grfLabel = 6
.DEFINE textFlags = 5
.DEFINE textEraseBelow = 1
.DEFINE textScrolled = 2
.DEFINE textInverse = 3
.DEFINE textInsMode = 4
.DEFINE ParsFlag2 = 7
.DEFINE numOP1 = 0
.DEFINE newDispF = 8
.DEFINE preClrForMode = 0
.DEFINE apdFlags = 8
.DEFINE apdAble = 2
.DEFINE apdRunning = 3
.DEFINE web_err_mask = 60h
.DEFINE onFlags = 9
.DEFINE onInterrupt = 4
.DEFINE statFlags = 9
.DEFINE statsValid = 6
.DEFINE fmtFlags = 10
.DEFINE fmtExponent = 0
.DEFINE fmtEng = 1
.DEFINE fmtHex = 2
.DEFINE fmtOct = 3
.DEFINE fmtBin = 4
.DEFINE numMode = 10
.DEFINE fmtReal = 5
.DEFINE fmtRect = 6
.DEFINE fmtPolar = 7
.DEFINE realMode = 5
.DEFINE rectMode = 6
.DEFINE polarMode = 7
.DEFINE fmtBaseMask = %00011100
.DEFINE fmtBaseShift = 2
.DEFINE fmtOverride = 11
.DEFINE fmtEditFlags = 12
.DEFINE fmtEdit = 0
.DEFINE curFlags = 12
.DEFINE curAble = 2
.DEFINE curOn = 3
.DEFINE curLock = 4
.DEFINE appFlags = 13
.DEFINE appWantIntrpt = 0
.DEFINE appTextSave = 1
.DEFINE appAutoScroll = 2
.DEFINE appMenus = 3
.DEFINE appLockMenus = 4
.DEFINE appCurGraphic = 5
.DEFINE appCurWord = 6
.DEFINE appExit = 7
.DEFINE appWantIntrptF = 1<<appWantIntrpt
.DEFINE appTextSaveF = 1<<appTextSave
.DEFINE appAutoScrollF = 1<<appAutoScroll
.DEFINE appMenusF = 1<<appMenus
.DEFINE appLockMenusF = 1<<appLockMenus
.DEFINE appCurGraphicF = 1<<appCurGraphic
.DEFINE appCurWordF = 1<<appCurWord
.DEFINE appExitF = 1<<appExit
.DEFINE seqFlags = 15
.DEFINE webMode = 0
.DEFINE webVert = 1
.DEFINE sequv = 2
.DEFINE seqvw = 3
.DEFINE sequw = 4
.DEFINE promptFlags = 17
.DEFINE promptEdit = 0
.DEFINE indicFlags = 18
.DEFINE indicRun = 0
.DEFINE indicInUse = 1
.DEFINE indicOnly = 2
.DEFINE shiftFlags = 18
.DEFINE shift2nd = 3
.DEFINE shiftAlpha = 4
.DEFINE shiftLwrAlph = 5
.DEFINE shiftALock = 6
.DEFINE shiftKeepAlph = 7
.DEFINE tblFlags = 19
.DEFINE autoFill = 4
.DEFINE autoCalc = 5
.DEFINE reTable = 6
.DEFINE sGrFlags = 20
.DEFINE grfSplit = 0
.DEFINE vertSplit = 1
.DEFINE grfSChanged = 2
.DEFINE grfSplitOverride = 3
.DEFINE write_on_graph = 4
.DEFINE g_style_active = 5
.DEFINE cmp_mod_box = 6
.DEFINE textWrite = 7
.DEFINE newIndicFlags = 21
.DEFINE extraIndic = 0
.DEFINE saIndic = 1
.DEFINE smartFlags = 23
.DEFINE smarter_mask = 3
.DEFINE smarter_test = 1
.DEFINE smartGraph = 0
.DEFINE smartGraph_inv = 1
.DEFINE asm_Flag1 = 33
.DEFINE asm_Flag2 = 34
.DEFINE asm_Flag3 = 35
.DEFINE getSendFlg = 36
.DEFINE comFailed = 1
.DEFINE appLwrCaseFlag = 36
.DEFINE lwrCaseActive = 3
.DEFINE apiFlg3 = 42
.DEFINE apiFlg4 = 43
.DEFINE fullScrnDraw = 2
.DEFINE groupFlags = 38
.DEFINE inGroup = 1
.DEFINE xapFlag0 = 46
.DEFINE xapFlag1 = 47
.DEFINE xapFlag2 = 48
.DEFINE xapFlag3 = 49
.DEFINE fontFlags = 50
.DEFINE fracDrawLFont = 2
.DEFINE fracTallLFont = 3
.DEFINE customFont = 7
.DEFINE plotFlag3 = 60
.DEFINE bufferOnly = 0
.DEFINE useFastCirc = 4
.DEFINE varTypeMask = 1FH
.DEFINE varGraphRef = 6

; ======================================================================
; Character font equates  
; ======================================================================
.DEFINE LrecurN = 001h
.DEFINE LrecurU = 002h
.DEFINE LrecurV = 003h
.DEFINE LrecurW = 004h
.DEFINE Lconvert = 005h
.DEFINE LsqUp = 006h
.DEFINE LsqDown = 007h
.DEFINE Lintegral = 008h
.DEFINE Lcross = 009h
.DEFINE LboxIcon = 00Ah
.DEFINE LcrossIcon = 00Bh
.DEFINE LdotIcon = 00Ch
.DEFINE LsubT = 00Dh
.DEFINE LcubeR = 00Eh
.DEFINE LhexF = 00Fh
.DEFINE Lroot = 010h
.DEFINE Linverse = 011h
.DEFINE Lsquare = 012h
.DEFINE Langle = 013h
.DEFINE Ldegree = 014h
.DEFINE Lradian = 015h
.DEFINE Ltranspose = 016h
.DEFINE LLE = 017h
.DEFINE LNE = 018h
.DEFINE LGE = 019h
.DEFINE Lneg = 01Ah
.DEFINE Lexponent = 01Bh
.DEFINE Lstore = 01Ch
.DEFINE Lten = 01Dh
.DEFINE LupArrow = 01Eh
.DEFINE LdownArrow = 01Fh
.DEFINE Lspace = 020h
.DEFINE Lexclam = 021h
.DEFINE Lquote = 022h
.DEFINE Lpound = 023h
.DEFINE Lfourth = 024h
.DEFINE Lpercent = 025h
.DEFINE Lampersand = 026h
.DEFINE Lapostrophe = 027h
.DEFINE LlParen = 028h
.DEFINE LrParen = 029h
.DEFINE Lasterisk = 02Ah
.DEFINE LplusSign = 02Bh
.DEFINE Lcomma = 02Ch
.DEFINE Ldash = 02Dh
.DEFINE Lperiod = 02Eh
.DEFINE Lslash = 02Fh
.DEFINE L0 = 030h
.DEFINE L1 = 031h
.DEFINE L2 = 032h
.DEFINE L3 = 033h
.DEFINE L4 = 034h
.DEFINE L5 = 035h
.DEFINE L6 = 036h
.DEFINE L7 = 037h
.DEFINE L8 = 038h
.DEFINE L9 = 039h
.DEFINE Lcolon = 03Ah
.DEFINE Lsemicolon = 03Bh
.DEFINE LLT = 03Ch
.DEFINE LEQ = 03Dh
.DEFINE LGT = 03Eh
.DEFINE Lquestion = 03Fh
.DEFINE LatSign = 040h
.DEFINE LcapA = 041h
.DEFINE LcapB = 042h
.DEFINE LcapC = 043h
.DEFINE LcapD = 044h
.DEFINE LcapE = 045h
.DEFINE LcapF = 046h
.DEFINE LcapG = 047h
.DEFINE LcapH = 048h
.DEFINE LcapI = 049h
.DEFINE LcapJ = 04Ah
.DEFINE LcapK = 04Bh
.DEFINE LcapL = 04Ch
.DEFINE LcapM = 04Dh
.DEFINE LcapN = 04Eh
.DEFINE LcapO = 04Fh
.DEFINE LcapP = 050h
.DEFINE LcapQ = 051h
.DEFINE LcapR = 052h
.DEFINE LcapS = 053h
.DEFINE LcapT = 054h
.DEFINE LcapU = 055h
.DEFINE LcapV = 056h
.DEFINE LcapW = 057h
.DEFINE LcapX = 058h
.DEFINE LcapY = 059h
.DEFINE LcapZ = 05Ah
.DEFINE Ltheta = 05Bh
.DEFINE Lbackslash = 05Ch
.DEFINE LrBrack = 05Dh
.DEFINE Lcaret = 05Eh
.DEFINE Lunderscore = 05Fh
.DEFINE Lbackquote = 060h
.DEFINE La = 061h
.DEFINE Lb = 062h
.DEFINE Lc = 063h
.DEFINE Ld = 064h
.DEFINE Le = 065h
.DEFINE Lf = 066h
.DEFINE Lg = 067h
.DEFINE Lh = 068h
.DEFINE Li = 069h
.DEFINE Lj = 06Ah
.DEFINE Lk = 06Bh
.DEFINE Ll = 06Ch
.DEFINE Lm = 06Dh
.DEFINE Ln = 06Eh
.DEFINE Lo = 06Fh
.DEFINE Lp = 070h
.DEFINE Lq = 071h
.DEFINE Lr = 072h
.DEFINE Ls = 073h
.DEFINE Lt = 074h
.DEFINE Lu = 075h
.DEFINE Lv = 076h
.DEFINE Lw = 077h
.DEFINE Lx = 078h
.DEFINE Ly = 079h
.DEFINE Lz = 07Ah
.DEFINE LlBrace = 07Bh
.DEFINE Lbar = 07Ch
.DEFINE LrBrace = 07Dh
.DEFINE Ltilde = 07Eh
.DEFINE LinvEQ = 07Fh
.DEFINE Lsub0 = 080h
.DEFINE Lsub1 = 081h
.DEFINE Lsub2 = 082h
.DEFINE Lsub3 = 083h
.DEFINE Lsub4 = 084h
.DEFINE Lsub5 = 085h
.DEFINE Lsub6 = 086h
.DEFINE Lsub7 = 087h
.DEFINE Lsub8 = 088h
.DEFINE Lsub9 = 089h
.DEFINE LcapAAcute = 08Ah
.DEFINE LcapAGrave = 08Bh
.DEFINE LcapACaret = 08Ch
.DEFINE LcapADier = 08Dh
.DEFINE LaAcute = 08Eh
.DEFINE LaGrave = 08Fh
.DEFINE LaCaret = 090h
.DEFINE LaDier = 091h
.DEFINE LcapEAcute = 092h
.DEFINE LcapEGrave = 093h
.DEFINE LcapECaret = 094h
.DEFINE LcapEDier = 095h
.DEFINE LeAcute = 096h
.DEFINE LeGrave = 097h
.DEFINE LeCaret = 098h
.DEFINE LeDier = 099h
.DEFINE LcapIAcute = 09Ah
.DEFINE LcapIGrave = 09Bh
.DEFINE LcapICaret = 09Ch
.DEFINE LcapIDier = 09Dh
.DEFINE LiAcute = 09Eh
.DEFINE LiGrave = 09Fh
.DEFINE LiCaret = 0A0h
.DEFINE LiDier = 0A1h
.DEFINE LcapOAcute = 0A2h
.DEFINE LcapOGrave = 0A3h
.DEFINE LcapOCaret = 0A4h
.DEFINE LcapODier = 0A5h
.DEFINE LoAcute = 0A6h
.DEFINE LoGrave = 0A7h
.DEFINE LoCaret = 0A8h
.DEFINE LoDier = 0A9h
.DEFINE LcapUAcute = 0AAh
.DEFINE LcapUGrave = 0ABh
.DEFINE LcapUCaret = 0ACh
.DEFINE LcapUDier = 0ADh
.DEFINE LuAcute = 0AEh
.DEFINE LuGrave = 0AFh
.DEFINE LuCaret = 0B0h
.DEFINE LuDier = 0B1h
.DEFINE LcapCCed = 0B2h
.DEFINE LcCed = 0B3h
.DEFINE LcapNTilde = 0B4h
.DEFINE LnTilde = 0B5h
.DEFINE Laccent = 0B6h
.DEFINE Lgrave = 0B7h
.DEFINE Ldieresis = 0B8h
.DEFINE LquesDown = 0B9h
.DEFINE LexclamDown = 0BAh
.DEFINE Lalpha = 0BBh
.DEFINE Lbeta = 0BCh
.DEFINE Lgamma = 0BDh
.DEFINE LcapDelta = 0BEh
.DEFINE Ldelta = 0BFh
.DEFINE Lepsilon = 0C0h
.DEFINE LlBrack = 0C1h
.DEFINE Llambda = 0C2h
.DEFINE Lmu = 0C3h
.DEFINE Lpi = 0C4h
.DEFINE Lrho = 0C5h
.DEFINE LcapSigma = 0C6h
.DEFINE Lsigma = 0C7h
.DEFINE Ltau = 0C8h
.DEFINE Lphi = 0C9h
.DEFINE LcapOmega = 0CAh
.DEFINE LxMean = 0CBh
.DEFINE LyMean = 0CCh
.DEFINE LsupX = 0CDh
.DEFINE Lellipsis = 0CEh
.DEFINE Lleft = 0CFh
.DEFINE Lblock = 0D0h
.DEFINE Lper = 0D1h
.DEFINE Lhyphen = 0D2h
.DEFINE Larea = 0D3h
.DEFINE Ltemp = 0D4h
.DEFINE Lcube = 0D5h
.DEFINE Lenter = 0D6h
.DEFINE LimagI = 0D7h
.DEFINE Lphat = 0D8h
.DEFINE Lchi = 0D9h
.DEFINE LstatF = 0DAh
.DEFINE Llne = 0DBh
.DEFINE LlistL = 0DCh
.DEFINE LfinanN = 0DDh
.DEFINE L2_r_paren = 0DEh
.DEFINE LblockArrow = 0DFh
.DEFINE LcurO = 0E0h
.DEFINE LcurO2 = 0E1h
.DEFINE LcurOcapA = 0E2h
.DEFINE LcurOa = 0E3h
.DEFINE LcurI = 0E4h
.DEFINE LcurI2 = 0E5h
.DEFINE LcurIcapA = 0E6h
.DEFINE LcurIa = 0E7h
.DEFINE LGline = 0E8h
.DEFINE LGthick = 0E9h
.DEFINE LGabove = 0EAh
.DEFINE LGbelow = 0EBh
.DEFINE LGpath = 0ECh
.DEFINE LGanimate = 0EDh
.DEFINE LGdot = 0EEh
.DEFINE LUpBlk = 0EFh
.DEFINE LDnBlk = 0F0h
.DEFINE LcurFull = 0F1h

; ======================================================================
; Keypress equates
; ======================================================================
.DEFINE kRight = 001h
.DEFINE kLeft = 002h
.DEFINE kUp = 003h
.DEFINE kDown = 004h
.DEFINE kEnter = 005h
.DEFINE kAlphaEnter = 006h
.DEFINE kAlphaUp = 007h
.DEFINE kAlphaDown = 008h
.DEFINE kClear = 009h
.DEFINE kDel = 00Ah
.DEFINE kIns = 00Bh
.DEFINE kRecall = 00Ch
.DEFINE kLastEnt = 00Dh
.DEFINE kBOL = 00Eh
.DEFINE kEOL = 00Fh
.DEFINE kSelAll = 010h
.DEFINE kUnselAll = 011h
.DEFINE kLtoTI82 = 012h
.DEFINE kBackup = 013h
.DEFINE kRecieve = 014h
.DEFINE kLnkQuit = 015h
.DEFINE kTrans = 016h
.DEFINE kRename = 017h
.DEFINE kOverw = 018h
.DEFINE kOmit = 019h
.DEFINE kCont = 01Ah
.DEFINE kSendID = 01Bh
.DEFINE kSendSW = 01Ch
.DEFINE kYes = 01Dh
.DEFINE kNoWay = 01Eh
.DEFINE kvSendType = 01Fh
.DEFINE kOverWAll = 020h
.DEFINE kNo = 025h
.DEFINE kKReset = 026h
.DEFINE kApp = 027h
.DEFINE kDoug = 028h
.DEFINE kListflag = 029h
.DEFINE menuStart = 02Bh
.DEFINE kAreYouSure = 02Bh
.DEFINE kAppsMenu = 02Ch
.DEFINE kPrgm = 02Dh
.DEFINE kZoom = 02Eh
.DEFINE kDraw = 02Fh
.DEFINE kSPlot = 030h
.DEFINE kStat = 031h
.DEFINE kMath = 032h
.DEFINE kTest = 033h
.DEFINE kChar = 034h
.DEFINE kVars = 035h
.DEFINE kMem = 036h
.DEFINE kMatrix = 037h
.DEFINE kDist = 038h
.DEFINE kAngle = 039h
.DEFINE kList = 03Ah
.DEFINE kCalc = 03Bh
.DEFINE kFin = 03Ch
.DEFINE menuEnd = kFin
.DEFINE kCatalog = 03Eh
.DEFINE kInputDone = 03Fh
.DEFINE kOff = kInputDone
.DEFINE kQuit = 040h
.DEFINE appStart = kQuit
.DEFINE kLinkIO = 041h
.DEFINE kMatrixEd = 042h
.DEFINE kStatEd = 043h
.DEFINE kGraph = 044h
.DEFINE kMode = 045h
.DEFINE kPrgmEd = 046h
.DEFINE kPrgmCr = 047h
.DEFINE kWindow = 048h
.DEFINE kYequ = 049h
.DEFINE kTable = 04Ah
.DEFINE kTblSet = 04Bh
.DEFINE kChkRAM = 04Ch
.DEFINE kDelMem = 04Dh
.DEFINE kResetMem = 04Eh
.DEFINE kResetDef = 04Fh
.DEFINE kPrgmInput = 050h
.DEFINE kZFactEd = 051h
.DEFINE kError = 052h
.DEFINE kSolveTVM = 053h
.DEFINE kSolveRoot = 054h
.DEFINE kStatP = 055h
.DEFINE kInfStat = 056h
.DEFINE kFormat = 057h
.DEFINE kExtApps = 058h
.DEFINE kNewApps = 059h
.DEFINE append = kNewApps
.DEFINE echoStart1 = 05Ah
.DEFINE kTrace = 05Ah
.DEFINE kZFit = 05Bh
.DEFINE kZIn = 05Ch
.DEFINE kZOut = 05Dh
.DEFINE kZPrev = 05Eh
.DEFINE kBox = 05Fh
.DEFINE kDecml = 060h
.DEFINE kSetZm = 061h
.DEFINE kSquar = 062h
.DEFINE kStd = 063h
.DEFINE kTrig = 064h
.DEFINE kUsrZm = 065h
.DEFINE kZSto = 066h
.DEFINE kZInt = 067h
.DEFINE kZStat = 068h
.DEFINE echoStart2 = 069h
.DEFINE kSelect = 069h
.DEFINE kCircl = 06Ah
.DEFINE kClDrw = 06Bh
.DEFINE kLine = 06Ch
.DEFINE kPen = 06Dh
.DEFINE kPtChg = 06Eh
.DEFINE kPtOff = 06Fh
.DEFINE kPtOn = 070h
.DEFINE kVert = 071h
.DEFINE kHoriz = 072h
.DEFINE kText = 073h
.DEFINE kTanLn = 074h
.DEFINE kEval = 075h
.DEFINE kInters = 076h
.DEFINE kDYDX = 077h
.DEFINE kFnIntg = 078h
.DEFINE kRootG = 079h
.DEFINE kDYDT = 07Ah
.DEFINE kDXDT = 07Bh
.DEFINE kDRDo = 07Ch
.DEFINE KGFMin = 07Dh
.DEFINE KGFMax = 07Eh
.DEFINE EchoStart = 07Fh
.DEFINE kListName = 07Fh
.DEFINE kAdd = 080h
.DEFINE kSub = 081h
.DEFINE kMul = 082h
.DEFINE kDiv = 083h
.DEFINE kExpon = 084h
.DEFINE kLParen = 085h
.DEFINE kRParen = 086h
.DEFINE kLBrack = 087h
.DEFINE kRBrack = 088h
.DEFINE kShade = 089h
.DEFINE kStore = 08Ah
.DEFINE kComma = 08Bh
.DEFINE kChs = 08Ch
.DEFINE kDecPnt = 08Dh
.DEFINE k0 = 08Eh
.DEFINE k1 = 08Fh
.DEFINE k2 = 090h
.DEFINE k3 = 091h
.DEFINE k4 = 092h
.DEFINE k5 = 093h
.DEFINE k6 = 094h
.DEFINE k7 = 095h
.DEFINE k8 = 096h
.DEFINE k9 = 097h
.DEFINE kEE = 098h
.DEFINE kSpace = 099h
.DEFINE kCapA = 09Ah
.DEFINE kCapB = 09Bh
.DEFINE kCapC = 09Ch
.DEFINE kCapD = 09Dh
.DEFINE kCapE = 09Eh
.DEFINE kCapF = 09Fh
.DEFINE kCapG = 0A0h
.DEFINE kCapH = 0A1h
.DEFINE kCapI = 0A2h
.DEFINE kCapJ = 0A3h
.DEFINE kCapK = 0A4h
.DEFINE kCapL = 0A5h
.DEFINE kCapM = 0A6h
.DEFINE kCapN = 0A7h
.DEFINE kCapO = 0A8h
.DEFINE kCapP = 0A9h
.DEFINE kCapQ = 0AAh
.DEFINE kCapR = 0ABh
.DEFINE kCapS = 0ACh
.DEFINE kCapT = 0ADh
.DEFINE kCapU = 0AEh
.DEFINE kCapV = 0AFh
.DEFINE kCapW = 0B0h
.DEFINE kCapX = 0B1h
.DEFINE kCapY = 0B2h
.DEFINE kCapZ = 0B3h
.DEFINE kVarx = 0B4h
.DEFINE kPi = 0B5h
.DEFINE kInv = 0B6h
.DEFINE kSin = 0B7h
.DEFINE kASin = 0B8h
.DEFINE kCos = 0B9h
.DEFINE kACos = 0BAh
.DEFINE kTan = 0BBh
.DEFINE kATan = 0BCh
.DEFINE kSquare = 0BDh
.DEFINE kSqrt = 0BEh
.DEFINE kLn = 0BFh
.DEFINE kExp = 0C0h
.DEFINE kLog = 0C1h
.DEFINE kALog = 0C2h
.DEFINE kToABC = 0C3h
.DEFINE kClrTbl = 0C4h
.DEFINE kAns = 0C5h
.DEFINE kColon = 0C6h
.DEFINE kNDeriv = 0C7h
.DEFINE kFnInt = 0C8h
.DEFINE kRoot = 0C9h
.DEFINE kQuest = 0CAh
.DEFINE kQuote = 0CBh
.DEFINE kTheta = 0CCh
.DEFINE kIf = 0CDh
.DEFINE kThen = 0CEh
.DEFINE kElse = 0CFh
.DEFINE kFor = 0D0h
.DEFINE kWhile = 0D1h
.DEFINE kRepeat = 0D2h
.DEFINE kEnd = 0D3h
.DEFINE kPause = 0D4h
.DEFINE kLbl = 0D5h
.DEFINE kGoto = 0D6h
.DEFINE kISG = 0D7h
.DEFINE kDSL = 0D8h
.DEFINE kMenu = 0D9h
.DEFINE kExec = 0DAh
.DEFINE kReturn = 0DBh
.DEFINE kStop = 0DCh
.DEFINE kInput = 0DDh
.DEFINE kPrompt = 0DEh
.DEFINE kDisp = 0DFh
.DEFINE kDispG = 0E0h
.DEFINE kDispT = 0E1h
.DEFINE kOutput = 0E2h
.DEFINE kGetKey = 0E3h
.DEFINE kClrHome = 0E4h
.DEFINE kPrtScr = 0E5h
.DEFINE kSinH = 0E6h
.DEFINE kCosH = 0E7h
.DEFINE kTanH = 0E8h
.DEFINE kASinH = 0E9h
.DEFINE kACosH = 0EAh
.DEFINE kATanH = 0EBh
.DEFINE kLBrace = 0ECh
.DEFINE kRBrace = 0EDh
.DEFINE kI = 0EEh
.DEFINE kCONSTeA = 0EFh
.DEFINE kPlot3 = 0F0h
.DEFINE kFMin = 0F1h
.DEFINE kFMax = 0F2h
.DEFINE kL1A = 0F3h
.DEFINE kL2A = 0F4h
.DEFINE kL3A = 0F5h
.DEFINE kL4A = 0F6h
.DEFINE kL5A = 0F7h
.DEFINE kL6A = 0F8h
.DEFINE kunA = 0F9h
.DEFINE kvnA = 0FAh
.DEFINE kwnA = 0FBh
.DEFINE kExtendEcho2 = 0FCh
.DEFINE kExtendEcho = 0FEh
.DEFINE kE1BT = 0
.DEFINE kDrawInv = kE1BT
.DEFINE kDrawF = kE1BT+1
.DEFINE kPixelOn = kE1BT+2
.DEFINE kPixelOff = kE1BT+3
.DEFINE kPxlTest = kE1BT+4
.DEFINE kRCGDB = kE1BT+5
.DEFINE kRCPic = kE1BT+6
.DEFINE kSTGDB = kE1BT+7
.DEFINE kSTPic = kE1BT+8
.DEFINE kAbs = kE1BT+9
.DEFINE kTEqu = kE1BT+10
.DEFINE kTNoteQ = kE1BT+11
.DEFINE kTGT = kE1BT+12
.DEFINE kTGTE = kE1BT+13
.DEFINE kTLT = kE1BT+14
.DEFINE kTLTE = kE1BT+15
.DEFINE kAnd = kE1BT+16
.DEFINE kOr = kE1BT+17
.DEFINE kXor = kE1BT+18
.DEFINE kNot = kE1BT+19
.DEFINE kLR1 = kE1BT+20
.DEFINE kXRoot = kE1BT+21
.DEFINE kCube = kE1BT+22
.DEFINE kCbRt = kE1BT+23
.DEFINE kToDec = kE1BT+24
.DEFINE kCubicR = kE1BT+25
.DEFINE kQuartR = kE1BT+26
.DEFINE kPlot1 = kE1BT+27
.DEFINE kPlot2 = kE1BT+28
.DEFINE kRound = kE1BT+29
.DEFINE kIPart = kE1BT+30
.DEFINE kFPart = kE1BT+31
.DEFINE kInt = kE1BT+32
.DEFINE kRand = kE1BT+33
.DEFINE kNPR = kE1BT+34
.DEFINE kNCR = kE1BT+35
.DEFINE kXFactorial = kE1BT+36
.DEFINE kRad = kE1BT+37
.DEFINE kDegr = kE1BT+38
.DEFINE kAPost = kE1BT+39
.DEFINE kToDMS = kE1BT+40
.DEFINE kRToPo = kE1BT+41
.DEFINE kRToPr = kE1BT+42
.DEFINE kPToRx = kE1BT+43
.DEFINE kPToRy = kE1BT+44
.DEFINE kRowSwap = kE1BT+45
.DEFINE kRowPlus = kE1BT+46
.DEFINE kTimRow = kE1BT+47
.DEFINE kTRowP = kE1BT+48
.DEFINE kSortA = kE1BT+49
.DEFINE kSortD = kE1BT+50
.DEFINE kSeq = kE1BT+51
.DEFINE kMin = kE1BT+52
.DEFINE kMax = kE1BT+53
.DEFINE kMean = kE1BT+54
.DEFINE kMedian = kE1BT+55
.DEFINE kSum = kE1BT+56
.DEFINE kProd = kE1BT+57
.DEFINE kDet = kE1BT+58
.DEFINE kTransp = kE1BT+59
.DEFINE kDim = kE1BT+60
.DEFINE kFill = kE1BT+61
.DEFINE kIdent = kE1BT+62
.DEFINE kRandm = kE1BT+63
.DEFINE kAug = kE1BT+64
.DEFINE kOneVar = kE1BT+65
.DEFINE kTwoVar = kE1BT+66
.DEFINE kLR = kE1BT+67
.DEFINE kLRExp = kE1BT+68
.DEFINE kLRLn = kE1BT+69
.DEFINE kLRPwr = kE1BT+70
.DEFINE kMedMed = kE1BT+71
.DEFINE kQuad = kE1BT+72
.DEFINE kClrLst = kE1BT+73
.DEFINE kHist = kE1BT+74
.DEFINE kxyLine = kE1BT+75
.DEFINE kScatter = kE1BT+76
.DEFINE kmRad = kE1BT+77
.DEFINE kmDeg = kE1BT+78
.DEFINE kmNormF = kE1BT+79
.DEFINE kmSci = kE1BT+80
.DEFINE kmEng = kE1BT+81
.DEFINE kmFloat = kE1BT+82
.DEFINE kFix = kE1BT+83
.DEFINE kSplitOn = kE1BT+84
.DEFINE kFullScreen = kE1BT+85
.DEFINE kStndrd = kE1BT+86
.DEFINE kParam = kE1BT+87
.DEFINE kPolar = kE1BT+88
.DEFINE kSeqG = kE1BT+89
.DEFINE kAFillOn = kE1BT+90
.DEFINE kAFillOff = kE1BT+91
.DEFINE kACalcOn = kE1BT+92
.DEFINE kACalcOff = kE1BT+93
.DEFINE kFNOn = kE1BT+94
.DEFINE kFNOff = kE1BT+95
.DEFINE kPlotsOn = kE1BT+96
.DEFINE kPlotsOff = kE1BT+97
.DEFINE kPixelChg = kE1BT+98
.DEFINE kSendMBL = kE1BT+99
.DEFINE kRecvMBL = kE1BT+100
.DEFINE kBoxPlot = kE1BT+101
.DEFINE kBoxIcon = kE1BT+102
.DEFINE kCrossIcon = kE1BT+103
.DEFINE kDotIcon = kE1BT+104
.DEFINE kE2BT = kE1BT+105
.DEFINE kSeqential = kE2BT
.DEFINE kSimulG = kE2BT+1
.DEFINE kPolarG = kE2BT+2
.DEFINE kRectG = kE2BT+3
.DEFINE kCoordOn = kE2BT+4
.DEFINE kCoordOff = kE2BT+5
.DEFINE kDrawLine = kE2BT+6
.DEFINE kDrawDot = kE2BT+7
.DEFINE kAxisOn = kE2BT+8
.DEFINE kAxisOff = kE2BT+9
.DEFINE kGridOn = kE2BT+10
.DEFINE kGridOff = kE2BT+11
.DEFINE kLblOn = kE2BT+12
.DEFINE kLblOff = kE2BT+13
.DEFINE kL1 = kE2BT+14
.DEFINE kL2 = kE2BT+15
.DEFINE kL3 = kE2BT+16
.DEFINE kL4 = kE2BT+17
.DEFINE kL5 = kE2BT+18
.DEFINE kL6 = kE2BT+19
.DEFINE kinfData = kL1
.DEFINE kinfStats = kL1+1
.DEFINE kinfYes = kL1+2
.DEFINE kinfNo = kL1+3
.DEFINE kinfCalc = kL1+4
.DEFINE kinfDraw = kL1+5
.DEFINE kinfAlt1ne = kL1+6
.DEFINE kinfAlt1lt = kL1+7
.DEFINE kinfAlt1gt = kL1+8
.DEFINE kinfAlt2ne = kL1+9
.DEFINE kinfAlt2lt = kL1+10
.DEFINE kinfAlt2gt = kL1+11
.DEFINE kinfAlt3ne = kL1+12
.DEFINE kinfAlt3lt = kL1+13
.DEFINE kinfAlt3gt = kL1+14
.DEFINE kinfAlt4ne = kL1+15
.DEFINE kinfAlt4lt = kL1+16
.DEFINE kinfAlt4gt = kL1+17
.DEFINE kinfAlt5ne = kL1+18
.DEFINE kinfAlt5lt = kL1+19
.DEFINE kinfAlt5gt = kL1+20
.DEFINE kinfAlt6ne = kL1+21
.DEFINE kinfAlt6lt = kL1+22
.DEFINE kinfAlt6gt = kL1+23
.DEFINE kMatA = kE2BT+20
.DEFINE kMatB = kE2BT+21
.DEFINE kMatC = kE2BT+22
.DEFINE kMatD = kE2BT+23
.DEFINE kMatE = kE2BT+24
.DEFINE kXmin = kE2BT+25
.DEFINE kXmax = kE2BT+26
.DEFINE kXscl = kE2BT+27
.DEFINE kYmin = kE2BT+28
.DEFINE kYmax = kE2BT+29
.DEFINE kYscl = kE2BT+30
.DEFINE kTmin = kE2BT+31
.DEFINE kTmax = kE2BT+32
.DEFINE kTStep = kE2BT+33
.DEFINE kOmin = kE2BT+34
.DEFINE kOmax = kE2BT+35
.DEFINE kOStep = kE2BT+36
.DEFINE ku0 = kE2BT+37
.DEFINE kv0 = kE2BT+38
.DEFINE knMin = kE2BT+39
.DEFINE knMax = kE2BT+40
.DEFINE kDeltaY = kE2BT+41
.DEFINE kDeltaX = kE2BT+42
.DEFINE kZXmin = kE2BT+43
.DEFINE kZXmax = kE2BT+44
.DEFINE kZXscl = kE2BT+45
.DEFINE kZYmin = kE2BT+46
.DEFINE kZYmax = kE2BT+47
.DEFINE kZYscl = kE2BT+48
.DEFINE kZTmin = kE2BT+49
.DEFINE kZTmax = kE2BT+50
.DEFINE kZTStep = kE2BT+51
.DEFINE kZOmin = kE2BT+52
.DEFINE kZOmax = kE2BT+53
.DEFINE kZOStep = kE2BT+54
.DEFINE kZu0 = kE2BT+55
.DEFINE kZv0 = kE2BT+56
.DEFINE kZnMin = kE2BT+57
.DEFINE kZnMax = kE2BT+58
.DEFINE kDelLast = kE2BT+59
.DEFINE kSinReg = kE2BT+60
.DEFINE kConstE = kE2BT+61
.DEFINE kPic1 = kE2BT+62
.DEFINE kPic2 = kE2BT+63
.DEFINE kPic3 = kE2BT+64
.DEFINE kDelVar = kE2BT+65
.DEFINE kGetCalc = kE2BT+66
.DEFINE kRealM = kE2BT+67
.DEFINE kPolarM = kE2BT+68
.DEFINE kRectM = kE2BT+69
.DEFINE kuv = kE2BT+70
.DEFINE kvw = kE2BT+71
.DEFINE kuw = kE2BT+72
.DEFINE kFinPMTend = kE2BT+73
.DEFINE kFinPMTbeg = kE2BT+74
.DEFINE kGraphStyle = kE2BT+75
.DEFINE kExprOn = kE2BT+76
.DEFINE kExprOff = kE2BT+77
.DEFINE kStatA = kE2BT+78
.DEFINE kStatB = kE2BT+79
.DEFINE kStatC = kE2BT+80
.DEFINE kCorr = kE2BT+81
.DEFINE kStatD = kE2BT+82
.DEFINE kStatE = kE2BT+83
.DEFINE kRegEq = kE2BT+84
.DEFINE kMinX = kE2BT+85
.DEFINE kQ1 = kE2BT+86
.DEFINE kMD = kE2BT+87
.DEFINE kQ3 = kE2BT+88
.DEFINE kMaxX = kE2BT+89
.DEFINE kStatX1 = kE2BT+90
.DEFINE kStatY1 = kE2BT+91
.DEFINE kStatX2 = kE2BT+92
.DEFINE kStatY2 = kE2BT+93
.DEFINE kStatX3 = kE2BT+94
.DEFINE kStatY3 = kE2BT+95
.DEFINE kTblMin = kE2BT+96
.DEFINE kTblStep = kE2BT+97
.DEFINE kSetupLst = kE2BT+98
.DEFINE kClrAllLst = kE2BT+99
.DEFINE kLogistic = kE2BT+100
.DEFINE kZTest = kE2BT+101
.DEFINE kTTest = kE2BT+102
.DEFINE k2SampZTest = kE2BT+103
.DEFINE k2SampTTest = kE2BT+104
.DEFINE k1PropZTest = kE2BT+105
.DEFINE k2PropZTest = kE2BT+106
.DEFINE kChiTest = kE2BT+107
.DEFINE k2SampFTest = kE2BT+108
.DEFINE kZIntVal = kE2BT+109
.DEFINE kTIntVal = kE2BT+110
.DEFINE k2SampTInt = kE2BT+111
.DEFINE k2SampZInt = kE2BT+112
.DEFINE k1PropZInt = kE2BT+113
.DEFINE k2PropZInt = kE2BT+114
.DEFINE kDNormal = kE2BT+115
.DEFINE kInvNorm = kE2BT+116
.DEFINE kDT = kE2BT+117
.DEFINE kChi = kE2BT+118
.DEFINE kDF = kE2BT+119
.DEFINE kBinPDF = kE2BT+120
.DEFINE kBinCDF = kE2BT+121
.DEFINE kPoiPDF = kE2BT+122
.DEFINE kPoiCDF = kE2BT+123
.DEFINE kun = kE2BT+124
.DEFINE kvn = kE2BT+125
.DEFINE kwn = kE2BT+126
.DEFINE kRecn = kE2BT+127
.DEFINE kPlotStart = kE2BT+128
.DEFINE kZPlotStart = kE2BT+129
.DEFINE kXFact = kE2BT+130
.DEFINE kYFact = kE2BT+131
.DEFINE kANOVA = kE2BT+132
.DEFINE kMaxY = kE2BT+133
.DEFINE kWebOn = kE2BT+134
.DEFINE kWebOff = kE2BT+135
.DEFINE kTblInput = kE2BT+136
.DEFINE kGeoPDF = kE2BT+137
.DEFINE kGeoCDF = kE2BT+138
.DEFINE kShadeNorm = kE2BT+139
.DEFINE kShadeT = kE2BT+140
.DEFINE kShadeChi = kE2BT+141
.DEFINE kShadeF = kE2BT+142
.DEFINE kPlotStep = kE2BT+143
.DEFINE kZPlotStep = kE2BT+144
.DEFINE kLinRegtTest = kE2BT+145
.DEFINE KMGT = kE2BT+146
.DEFINE kSelectA = kE2BT+147
.DEFINE kZFitA = kE2BT+148
.DEFINE kE2BT_End = kZFitA
.DEFINE kE2BT2 = 0
.DEFINE kGDB1 = kE2BT2
.DEFINE kGDB2 = kE2BT2+1
.DEFINE kGDB3 = kE2BT2+2
.DEFINE kY1 = kE2BT2+3
.DEFINE kY2 = kE2BT2+4
.DEFINE kY3 = kE2BT2+5
.DEFINE kY4 = kE2BT2+6
.DEFINE kY5 = kE2BT2+7
.DEFINE kY6 = kE2BT2+8
.DEFINE kY7 = kE2BT2+9
.DEFINE kY8 = kE2BT2+10
.DEFINE kY9 = kE2BT2+11
.DEFINE kY0 = kE2BT2+12
.DEFINE kX1T = kE2BT2+13
.DEFINE kY1T = kE2BT2+14
.DEFINE kX2T = kE2BT2+15
.DEFINE kY2T = kE2BT2+16
.DEFINE kX3T = kE2BT2+17
.DEFINE kY3T = kE2BT2+18
.DEFINE kX4T = kE2BT2+19
.DEFINE kY4T = kE2BT2+20
.DEFINE kX5T = kE2BT2+21
.DEFINE kY5T = kE2BT2+22
.DEFINE kX6T = kE2BT2+23
.DEFINE kY6T = kE2BT2+24
.DEFINE kR1 = kE2BT2+25
.DEFINE kR2 = kE2BT2+26
.DEFINE kR3 = kE2BT2+27
.DEFINE kR4 = kE2BT2+28
.DEFINE kR5 = kE2BT2+29
.DEFINE kR6 = kE2BT2+30
.DEFINE kGDB4 = kE2BT2+31
.DEFINE kGDB5 = kE2BT2+32
.DEFINE kGDB6 = kE2BT2+33
.DEFINE kPic4 = kE2BT2+34
.DEFINE kPic5 = kE2BT2+35
.DEFINE kPic6 = kE2BT2+36
.DEFINE kGDB7 = kE2BT2+37
.DEFINE kGDB8 = kE2BT2+38
.DEFINE kGDB9 = kE2BT2+39
.DEFINE kGDB0 = kE2BT2+40
.DEFINE kPic7 = kE2BT2+41
.DEFINE kPic8 = kE2BT2+42
.DEFINE kPic9 = kE2BT2+43
.DEFINE kPic0 = kE2BT2+44
.DEFINE kStatN = kE2BT2+45
.DEFINE kXMean = kE2BT2+46
.DEFINE kConj = kE2BT2+47
.DEFINE kReal = kE2BT2+48
.DEFINE kFAngle = kE2BT2+49
.DEFINE kLCM = kE2BT2+50
.DEFINE kGCD = kE2BT2+51
.DEFINE kRandInt = kE2BT2+52
.DEFINE kRandNorm = kE2BT2+53
.DEFINE kToPolar = kE2BT2+54
.DEFINE kToRect = kE2BT2+55
.DEFINE kYMean = kE2BT2+56
.DEFINE kStdX = kE2BT2+57
.DEFINE kStdX1 = kE2BT2+58
.DEFINE kw0 = kE2BT2+59
.DEFINE kMatF = kE2BT2+60
.DEFINE kMatG = kE2BT2+61
.DEFINE kMatRH = kE2BT2+62
.DEFINE kMatI = kE2BT2+63
.DEFINE kMatJ = kE2BT2+64
.DEFINE kYMean1 = kE2BT2+65
.DEFINE kStdY = kE2BT2+66
.DEFINE kStdY1 = kE2BT2+67
.DEFINE kMatToLst = kE2BT2+68
.DEFINE kLstToMat = kE2BT2+69
.DEFINE kCumSum = kE2BT2+70
.DEFINE kDeltaLst = kE2BT2+71
.DEFINE kStdDev = kE2BT2+72
.DEFINE kVariance = kE2BT2+73
.DEFINE kLength = kE2BT2+74
.DEFINE kEquToStrng = kE2BT2+75
.DEFINE kStrngToEqu = kE2BT2+76
.DEFINE kExpr = kE2BT2+77
.DEFINE kSubStrng = kE2BT2+78
.DEFINE kInStrng = kE2BT2+79
.DEFINE kStr1 = kE2BT2+80
.DEFINE kStr2 = kE2BT2+81
.DEFINE kStr3 = kE2BT2+82
.DEFINE kStr4 = kE2BT2+83
.DEFINE kStr5 = kE2BT2+84
.DEFINE kStr6 = kE2BT2+85
.DEFINE kStr7 = kE2BT2+86
.DEFINE kStr8 = kE2BT2+87
.DEFINE kStr9 = kE2BT2+88
.DEFINE kStr0 = kE2BT2+89
.DEFINE kFinN = kE2BT2+90
.DEFINE kFinI = kE2BT2+91
.DEFINE kFinPV = kE2BT2+92
.DEFINE kFinPMT = kE2BT2+93
.DEFINE kFinFV = kE2BT2+94
.DEFINE kFinPY = kE2BT2+95
.DEFINE kFinCY = kE2BT2+96
.DEFINE kFinFPMT = kE2BT2+97
.DEFINE kFinFI = kE2BT2+98
.DEFINE kFinFPV = kE2BT2+99
.DEFINE kFinFN = kE2BT2+100
.DEFINE kFinFFV = kE2BT2+101
.DEFINE kFinNPV = kE2BT2+102
.DEFINE kFinIRR = kE2BT2+103
.DEFINE kFinBAL = kE2BT2+104
.DEFINE kFinPRN = kE2BT2+105
.DEFINE kFinINT = kE2BT2+106
.DEFINE kSumX = kE2BT2+107
.DEFINE kSumX2 = kE2BT2+108
.DEFINE kFinToNom = kE2BT2+109
.DEFINE kFinToEff = kE2BT2+110
.DEFINE kFinDBD = kE2BT2+111
.DEFINE kStatVP = kE2BT2+112
.DEFINE kStatZ = kE2BT2+113
.DEFINE kStatT = kE2BT2+114
.DEFINE kStatChi = kE2BT2+115
.DEFINE kStatF = kE2BT2+116
.DEFINE kStatDF = kE2BT2+117
.DEFINE kStatPhat = kE2BT2+118
.DEFINE kStatPhat1 = kE2BT2+119
.DEFINE kStatPhat2 = kE2BT2+120
.DEFINE kStatMeanX1 = kE2BT2+121
.DEFINE kStatMeanX2 = kE2BT2+122
.DEFINE kStatStdX1 = kE2BT2+123
.DEFINE kStatStdX2 = kE2BT2+124
.DEFINE kStatStdXP = kE2BT2+125
.DEFINE kStatN1 = kE2BT2+126
.DEFINE kStatN2 = kE2BT2+127
.DEFINE kStatLower = kE2BT2+128
.DEFINE kStatUpper = kE2BT2+129
.DEFINE kuw0 = kE2BT2+130
.DEFINE kImag = kE2BT2+131
.DEFINE kSumY = kE2BT2+132
.DEFINE kXres = kE2BT2+133
.DEFINE kStat_s = kE2BT2+134
.DEFINE kSumY2 = kE2BT2+135
.DEFINE kSumXY = kE2BT2+136
.DEFINE kuXres = kE2BT2+137
.DEFINE kModBox = kE2BT2+138
.DEFINE kNormProb = kE2BT2+139
.DEFINE kNormalPDF = kE2BT2+140
.DEFINE kTPDF = kE2BT2+141
.DEFINE kChiPDF = kE2BT2+142
.DEFINE kFPDF = kE2BT2+143
.DEFINE kMinY = kE2BT2+144
.DEFINE kRandBin = kE2BT2+145
.DEFINE kRef = kE2BT2+146
.DEFINE kRRef = kE2BT2+147
.DEFINE kLRSqr = kE2BT2+148
.DEFINE kBRSqr = kE2BT2+149
.DEFINE kDiagOn = kE2BT2+150
.DEFINE kDiagOff = kE2BT2+151
.DEFINE kun1 = kE2BT2+152
.DEFINE kvn1 = kE2BT2+153
.DEFINE k83_00End = kvn1
.DEFINE kArchive = k83_00End+1
.DEFINE kUnarchive = k83_00End+2
.DEFINE kAsm = k83_00End+3
.DEFINE kAsmPrgm = k83_00End+4
.DEFINE kAsmComp = k83_00End+5
.DEFINE kcapAAcute = k83_00End+6
.DEFINE kcapAGrave = k83_00End+7
.DEFINE kcapACaret = k83_00End+8
.DEFINE kcapADier = k83_00End+9
.DEFINE kaAcute = k83_00End+10
.DEFINE kaGrave = k83_00End+11
.DEFINE kaCaret = k83_00End+12
.DEFINE kaDier = k83_00End+13
.DEFINE kcapEAcute = k83_00End+14
.DEFINE kcapEGrave = k83_00End+15
.DEFINE kcapECaret = k83_00End+16
.DEFINE kcapEDier = k83_00End+17
.DEFINE keAcute = k83_00End+18
.DEFINE keGrave = k83_00End+19
.DEFINE keCaret = k83_00End+20
.DEFINE keDier = k83_00End+21
.DEFINE kcapIAcute = k83_00End+22
.DEFINE kcapIGrave = k83_00End+23
.DEFINE kcapICaret = k83_00End+24
.DEFINE kcapIDier = k83_00End+25
.DEFINE kiAcute = k83_00End+26
.DEFINE kiGrave = k83_00End+27
.DEFINE kiCaret = k83_00End+28
.DEFINE kiDier = k83_00End+29
.DEFINE kcapOAcute = k83_00End+30
.DEFINE kcapOGrave = k83_00End+31
.DEFINE kcapOCaret = k83_00End+32
.DEFINE kcapODier = k83_00End+33
.DEFINE koAcute = k83_00End+34
.DEFINE koGrave = k83_00End+35
.DEFINE koCaret = k83_00End+36
.DEFINE koDier = k83_00End+37
.DEFINE kcapUAcute = k83_00End+38
.DEFINE kcapUGrave = k83_00End+39
.DEFINE kcapUCaret = k83_00End+40
.DEFINE kcapUDier = k83_00End+41
.DEFINE kuAcute = k83_00End+42
.DEFINE kuGrave = k83_00End+43
.DEFINE kuCaret = k83_00End+44
.DEFINE kuDier = k83_00End+45
.DEFINE kcapCCed = k83_00End+46
.DEFINE kcCed = k83_00End+47
.DEFINE kcapNTilde = k83_00End+48
.DEFINE knTilde = k83_00End+49
.DEFINE kaccent = k83_00End+50
.DEFINE kgrave = k83_00End+51
.DEFINE kdieresis = k83_00End+52
.DEFINE kquesDown = k83_00End+53
.DEFINE kexclamDown = k83_00End+54
.DEFINE kalpha = k83_00End+55
.DEFINE kbeta = k83_00End+56
.DEFINE kgamma = k83_00End+57
.DEFINE kcapDelta = k83_00End+58
.DEFINE kdelta = k83_00End+59
.DEFINE kepsilon = k83_00End+60
.DEFINE klambda = k83_00End+61
.DEFINE kmu = k83_00End+62
.DEFINE kpi2 = k83_00End+63
.DEFINE krho = k83_00End+64
.DEFINE kcapSigma = k83_00End+65
.DEFINE ksigma = k83_00End+66
.DEFINE ktau = k83_00End+67
.DEFINE kphi = k83_00End+68
.DEFINE kcapOmega = k83_00End+69
.DEFINE kphat = k83_00End+70
.DEFINE kchi2 = k83_00End+71
.DEFINE kstatF2 = k83_00End+72
.DEFINE kLa = k83_00End+73
.DEFINE kLb = k83_00End+74
.DEFINE kLc = k83_00End+75
.DEFINE kLd = k83_00End+76
.DEFINE kLe = k83_00End+77
.DEFINE kLf = k83_00End+78
.DEFINE kLg = k83_00End+79
.DEFINE kLh = k83_00End+80
.DEFINE kLi = k83_00End+81
.DEFINE kLj = k83_00End+82
.DEFINE kLk = k83_00End+83
.DEFINE kLl = k83_00End+84
.DEFINE kLm = k83_00End+85
.DEFINE kLsmalln = k83_00End+86
.DEFINE kLo = k83_00End+87
.DEFINE kLp = k83_00End+88
.DEFINE kLq = k83_00End+89
.DEFINE kLsmallr = k83_00End+90
.DEFINE kLs = k83_00End+91
.DEFINE kLt = k83_00End+92
.DEFINE kLu = k83_00End+93
.DEFINE kLv = k83_00End+94
.DEFINE kLw = k83_00End+95
.DEFINE kLx = k83_00End+96
.DEFINE kLy = k83_00End+97
.DEFINE kLz = k83_00End+98
.DEFINE kGarbageC = k83_00End+99
.DEFINE kE2BT2_End = kGarbageC

; ======================================================================
; TI-83 Plus context equates
; ======================================================================
.DEFINE cxCmd = kQuit
.DEFINE cxMatEdit = kMatrixEd
.DEFINE cxPrgmEdit = kPrgmEd
.DEFINE cxEquEdit = kYequ
.DEFINE cxGrRange = kWindow
.DEFINE cxGrZfact = kZFactEd
.DEFINE cxGraph = kGraph
.DEFINE cxStatEdit = kStatEd
.DEFINE cxPrgmInput = kPrgmInput
.DEFINE cxError = kError
.DEFINE cxLinkIO = kLinkIO
.DEFINE cxMem = kResetMem
.DEFINE cxDefMem = kResetDef
.DEFINE cxRAMApp = kChkRAM
.DEFINE cxMode = kMode
.DEFINE cxErase = kDelMem
.DEFINE cxPrgmCreate = kPrgmCr
.DEFINE cxTableEditor = kTable
.DEFINE cxTableSet = kTblSet
.DEFINE cxStatPlot = kStatP
.DEFINE cxInfStat = kInfStat
.DEFINE cxFormat = kFormat
.DEFINE cxSolveTVM = kSolveTVM
.DEFINE cxSolveRoot = kSolveRoot
.DEFINE lastOldApp = kExtApps
.DEFINE cxextapps = kExtApps
.DEFINE cxNewApps = kNewApps
.DEFINE cxGroup = cxNewApps+0
.DEFINE cxUnGroup = cxNewApps+1
.DEFINE lastNewApp = cxUnGroup

; ======================================================================
; Scan code equates
; ======================================================================
.DEFINE skDown = 01h
.DEFINE skLeft = 02h
.DEFINE skRight = 03h
.DEFINE skUp = 04h
.DEFINE skEnter = 09h
.DEFINE skAdd = 0Ah
.DEFINE skSub = 0Bh
.DEFINE skMul = 0Ch
.DEFINE skDiv = 0Dh
.DEFINE skPower = 0Eh
.DEFINE skClear = 0Fh
.DEFINE skChs = 11h
.DEFINE sk3 = 12h
.DEFINE sk6 = 13h
.DEFINE sk9 = 14h
.DEFINE skRParen = 15h
.DEFINE skTan = 16h
.DEFINE skVars = 17h
.DEFINE skDecPnt = 19h
.DEFINE sk2 = 1Ah
.DEFINE sk5 = 1Bh
.DEFINE sk8 = 1Ch
.DEFINE skLParen = 1Dh
.DEFINE skCos = 1Eh
.DEFINE skPrgm = 1Fh
.DEFINE skStat = 20h
.DEFINE sk0 = 21h
.DEFINE sk1 = 22h
.DEFINE sk4 = 23h
.DEFINE sk7 = 24h
.DEFINE skComma = 25h
.DEFINE skSin = 26h
.DEFINE skApps = 27h
.DEFINE skGraphvar = 28h
.DEFINE skStore = 2Ah
.DEFINE skLn = 2Bh
.DEFINE skLog = 2Ch
.DEFINE skSquare = 2Dh
.DEFINE skRecip = 2Eh
.DEFINE skMath = 2Fh
.DEFINE skAlpha = 30h
.DEFINE skGraph = 31h
.DEFINE skTrace = 32h
.DEFINE skZoom = 33h
.DEFINE skWindow = 34h
.DEFINE skYEqu = 35h
.DEFINE sk2nd = 36h
.DEFINE skMode = 37h
.DEFINE skDel = 38h

; ======================================================================
; Tokens
; ======================================================================
.DEFINE EOSSTART = 0
.DEFINE DCONV = 01h
.DEFINE tToDMS = DCONV
.DEFINE tToDEC = DCONV+1
.DEFINE tToAbc = DCONV+2
.DEFINE tStore = DCONV+3
.DEFINE tBoxPlot = 05h
.DEFINE BRACKS = 06h
.DEFINE tLBrack = BRACKS
.DEFINE tRBrack = BRACKS+1
.DEFINE tLBrace = BRACKS+2
.DEFINE tRBrace = BRACKS+3
.DEFINE tPOST1 = BRACKS+4
.DEFINE tFromRad = tPOST1
.DEFINE tFromDeg = tPOST1+1
.DEFINE tRecip = tPOST1+2
.DEFINE tSqr = tPOST1+3
.DEFINE tTrnspos = tPOST1+4
.DEFINE tCube = tPOST1+5
.DEFINE tLParen = 10h
.DEFINE tRParen = 11h
.DEFINE IMUN = 12h
.DEFINE tRound = IMUN
.DEFINE tPxTst = IMUN+1
.DEFINE tAug = IMUN+2
.DEFINE tRowSwap = IMUN+3
.DEFINE tRowPlus = IMUN+4
.DEFINE tmRow = IMUN+5
.DEFINE tmRowPlus = IMUN+6
.DEFINE tMax = IMUN+7
.DEFINE tMin = IMUN+8
.DEFINE tRToPr = IMUN+9
.DEFINE tRToPo = IMUN+10
.DEFINE tPToRx = IMUN+11
.DEFINE tPToRy = IMUN+12
.DEFINE tMedian = IMUN+13
.DEFINE tRandM = IMUN+14
.DEFINE tMean = IMUN+15
.DEFINE tRoot = IMUN+16
.DEFINE tSeries = IMUN+17
.DEFINE tFnInt = IMUN+18
.DEFINE tNDeriv = IMUN+19
.DEFINE tEvalF = IMUN+20
.DEFINE tFmin = IMUN+21
.DEFINE tFmax = IMUN+22
.DEFINE tEOSEL = IMUN+23
.DEFINE tSpace = tEOSEL
.DEFINE tString = tEOSEL+1
.DEFINE tComma = tEOSEL+2
.DEFINE tii = 2Ch
.DEFINE tPost = 2Dh
.DEFINE tFact = tPost
.DEFINE tCubicR = 2Eh
.DEFINE tQuartR = 2Fh
.DEFINE NUMS = 30h
.DEFINE t0 = NUMS
.DEFINE t1 = NUMS+1
.DEFINE t2 = NUMS+2
.DEFINE t3 = NUMS+3
.DEFINE t4 = NUMS+4
.DEFINE t5 = NUMS+5
.DEFINE t6 = NUMS+6
.DEFINE t7 = NUMS+7
.DEFINE t8 = NUMS+8
.DEFINE t9 = NUMS+9
.DEFINE tDecPt = NUMS+10
.DEFINE tee = NUMS+11
.DEFINE tOr = 3Ch
.DEFINE tXor = 3Dh
.DEFINE tColon = 3Eh
.DEFINE tEnter = 3Fh
.DEFINE tAnd = 40h
.DEFINE LET = 41h
.DEFINE tA = LET
.DEFINE tB = LET+1
.DEFINE tC = LET+2
.DEFINE tD = LET+3
.DEFINE tE = LET+4
.DEFINE tF = LET+5
.DEFINE tG = LET+6
.DEFINE tH = LET+7
.DEFINE tI = LET+8
.DEFINE tJ = LET+9
.DEFINE tK = LET+10
.DEFINE tL = LET+11
.DEFINE tM = LET+12
.DEFINE tN = LET+13
.DEFINE tO = LET+14
.DEFINE tP = LET+15
.DEFINE tQ = LET+16
.DEFINE tR = LET+17
.DEFINE tS = LET+18
.DEFINE tT = LET+19
.DEFINE tU = LET+20
.DEFINE tV = LET+21
.DEFINE tW = LET+22
.DEFINE tX = LET+23
.DEFINE tY = LET+24
.DEFINE tZ = LET+25
.DEFINE tTheta = LET+26
.DEFINE vToks = LET+27
.DEFINE tVarMat = vToks
.DEFINE tVarLst = vToks+1
.DEFINE tVarEqu = vToks+2
.DEFINE tProg = vToks+3
.DEFINE tVarPict = vToks+4
.DEFINE tVarGDB = vToks+5
.DEFINE tVarOut = vToks+6
.DEFINE tVarSys = vToks+7
.DEFINE MODESA = vToks+8
.DEFINE tRad = MODESA
.DEFINE tDeg = MODESA+1
.DEFINE tNormF = MODESA+2
.DEFINE tSci = MODESA+3
.DEFINE tEng = MODESA+4
.DEFINE tFloat = MODESA+5
.DEFINE CMPS = 6Ah
.DEFINE tEQ = CMPS
.DEFINE tLT = CMPS+1
.DEFINE tGT = CMPS+2
.DEFINE tLE = CMPS+3
.DEFINE tGE = CMPS+4
.DEFINE tNE = CMPS+5
.DEFINE tAdd = 70h
.DEFINE tSub = 71h
.DEFINE tAns = 72h
.DEFINE MODES = 73h
.DEFINE tFix = MODES
.DEFINE tSplitOn = MODES+1
.DEFINE tFullScreen = MODES+2
.DEFINE tStndrd = MODES+3
.DEFINE tParam = MODES+4
.DEFINE tPolar = MODES+5
.DEFINE tSeqG = MODES+6
.DEFINE tAFillOn = MODES+7
.DEFINE tAFillOff = MODES+8
.DEFINE tACalcOn = MODES+9
.DEFINE tACalcOff = MODES+10
.DEFINE tGFormat = MODES+11
.DEFINE tBoxIcon = 7Fh
.DEFINE tCrossIcon = 80h
.DEFINE tDotIcon = 81h
.DEFINE tMul = 82h
.DEFINE tDiv = 83h
.DEFINE GRCMDS = 84h
.DEFINE tTrace = GRCMDS
.DEFINE tClDrw = GRCMDS+1
.DEFINE tZoomStd = GRCMDS+2
.DEFINE tZoomtrg = GRCMDS+3
.DEFINE tZoomBox = GRCMDS+4
.DEFINE tZoomIn = GRCMDS+5
.DEFINE tZoomOut = GRCMDS+6
.DEFINE tZoomSqr = GRCMDS+7
.DEFINE tZoomInt = GRCMDS+8
.DEFINE tZoomPrev = GRCMDS+9
.DEFINE tZoomDec = GRCMDS+10
.DEFINE tZoomStat = GRCMDS+11
.DEFINE tUsrZm = GRCMDS+12
.DEFINE tPrtScrn = GRCMDS+13
.DEFINE tZoomSto = GRCMDS+14
.DEFINE tText = GRCMDS+15
.DEFINE tnPr = GRCMDS+16
.DEFINE tnCr = GRCMDS+17
.DEFINE tYOn = GRCMDS+18
.DEFINE tYOff = GRCMDS+19
.DEFINE tStPic = GRCMDS+20
.DEFINE tRcPic = GRCMDS+21
.DEFINE tStoDB = GRCMDS+22
.DEFINE tRclDB = GRCMDS+23
.DEFINE tLine = GRCMDS+24
.DEFINE tVert = GRCMDS+25
.DEFINE tPtOn = GRCMDS+26
.DEFINE tPtOff = GRCMDS+27
.DEFINE tPtChg = GRCMDS+28
.DEFINE tPXOn = GRCMDS+29
.DEFINE tPXOff = GRCMDS+30
.DEFINE tPXChg = GRCMDS+31
.DEFINE tShade = GRCMDS+32
.DEFINE tCircl = GRCMDS+33
.DEFINE tHorz = GRCMDS+34
.DEFINE tTanLn = GRCMDS+35
.DEFINE tDrInv = GRCMDS+36
.DEFINE tDrawF = GRCMDS+37
.DEFINE tVarStrng = 0AAh
.DEFINE NOARG = 0ABh
.DEFINE tRand = NOARG
.DEFINE tPi = NOARG+1
.DEFINE tGetKey = NOARG+2
.DEFINE tAPost = tGetKey+1
.DEFINE tQuest = tAPost+1
.DEFINE UNARY = tQuest+1
.DEFINE tChs = UNARY
.DEFINE tInt = UNARY+1
.DEFINE tAbs = UNARY+2
.DEFINE tDet = UNARY+3
.DEFINE tIdent = UNARY+4
.DEFINE tDim = UNARY+5
.DEFINE tSum = UNARY+6
.DEFINE tProd = UNARY+7
.DEFINE tNot = UNARY+8
.DEFINE tIPart = UNARY+9
.DEFINE tFPart = UNARY+10
.DEFINE t2ByteTok = 0BBh
.DEFINE UNARYLR = UNARY+12
.DEFINE tSqrt = UNARYLR
.DEFINE tCubRt = UNARYLR+1
.DEFINE tLn = UNARYLR+2
.DEFINE tExp = UNARYLR+3
.DEFINE tLog = UNARYLR+4
.DEFINE tALog = UNARYLR+5
.DEFINE tSin = UNARYLR+6
.DEFINE tASin = UNARYLR+7
.DEFINE tCos = UNARYLR+8
.DEFINE tACos = UNARYLR+9
.DEFINE tTan = UNARYLR+10
.DEFINE tATan = UNARYLR+11
.DEFINE tSinH = UNARYLR+12
.DEFINE tASinH = UNARYLR+13
.DEFINE tCoshH = UNARYLR+14
.DEFINE tACosH = UNARYLR+15
.DEFINE tTanH = UNARYLR+16
.DEFINE tATanH = UNARYLR+17
.DEFINE PROGTOK = UNARYLR+18
.DEFINE tIf = PROGTOK
.DEFINE tThen = PROGTOK+1
.DEFINE tElse = PROGTOK+2
.DEFINE tWhile = PROGTOK+3
.DEFINE tRepeat = PROGTOK+4
.DEFINE tFor = PROGTOK+5
.DEFINE tEnd = PROGTOK+6
.DEFINE tReturn = PROGTOK+7
.DEFINE tLbl = PROGTOK+8
.DEFINE tGoto = PROGTOK+9
.DEFINE tPause = PROGTOK+10
.DEFINE tStop = PROGTOK+11
.DEFINE tISG = PROGTOK+12
.DEFINE tDSL = PROGTOK+13
.DEFINE tInput = PROGTOK+14
.DEFINE tPrompt = PROGTOK+15
.DEFINE tDisp = PROGTOK+16
.DEFINE tDispG = PROGTOK+17
.DEFINE tOutput = PROGTOK+18
.DEFINE tClLCD = PROGTOK+19
.DEFINE tConst = PROGTOK+20
.DEFINE tSortA = PROGTOK+21
.DEFINE tSortD = PROGTOK+22
.DEFINE tDispTab = PROGTOK+23
.DEFINE tMenu = PROGTOK+24
.DEFINE tSendMBL = PROGTOK+25
.DEFINE tGetMBL = PROGTOK+26
.DEFINE statPCmd = PROGTOK+27
.DEFINE tPlotOn = statPCmd
.DEFINE tPlotOff = statPCmd+1
.DEFINE tListName = 0EBh
.DEFINE tPlot1 = 0ECh
.DEFINE tPlot2 = 0EDh
.DEFINE tPlot3 = 0EEh
.DEFINE tUnused01 = 0EFh
.DEFINE tPower = 0F0h
.DEFINE tXRoot = 0F1h
.DEFINE STATCMD = 0F2h
.DEFINE tOneVar = STATCMD
.DEFINE tTwoVar = STATCMD+1
.DEFINE tLR = STATCMD+2
.DEFINE tLRExp = STATCMD+3
.DEFINE tLRLn = STATCMD+4
.DEFINE tLRPwr = STATCMD+5
.DEFINE tMedMed = STATCMD+6
.DEFINE tQuad = STATCMD+7
.DEFINE tClrLst = STATCMD+8
.DEFINE tClrTbl = STATCMD+9
.DEFINE tHist = STATCMD+10
.DEFINE txyLine = STATCMD+11
.DEFINE tScatter = STATCMD+12
.DEFINE tLR1 = STATCMD+13
.DEFINE GFMT = 0
.DEFINE tSeq = GFMT
.DEFINE tSimulG = GFMT+1
.DEFINE tPolarG = GFMT+2
.DEFINE tRectG = GFMT+3
.DEFINE tCoordOn = GFMT+4
.DEFINE tCoordOff = GFMT+5
.DEFINE tDrawLine = GFMT+6
.DEFINE tDrawDot = GFMT+7
.DEFINE tAxisOn = GFMT+8
.DEFINE tAxisOff = GFMT+9
.DEFINE tGridOn = GFMT+10
.DEFINE tGridOff = GFMT+11
.DEFINE tLblOn = GFMT+12
.DEFINE tLblOff = GFMT+13
.DEFINE tWebOn = GFMT+14
.DEFINE tWebOff = GFMT+15
.DEFINE tuv = GFMT+16
.DEFINE tvw = GFMT+17
.DEFINE tuw = GFMT+18
.DEFINE tMatA = 00h
.DEFINE tMatB = 01h
.DEFINE tMatC = 02h
.DEFINE tMatD = 03h
.DEFINE tMatE = 04h
.DEFINE tMatF = 05h
.DEFINE tMatG = 06h
.DEFINE tMatH = 07h
.DEFINE tMatI = 08h
.DEFINE tMatJ = 09h
.DEFINE tL1 = 00h
.DEFINE tL2 = 01h
.DEFINE tL3 = 02h
.DEFINE tL4 = 03h
.DEFINE tL5 = 04h
.DEFINE tL6 = 05h
.DEFINE tY1 = 10h
.DEFINE tY2 = 11h
.DEFINE tY3 = 12h
.DEFINE tY4 = 13h
.DEFINE tY5 = 14h
.DEFINE tY6 = 15h
.DEFINE tY7 = 16h
.DEFINE tY8 = 17h
.DEFINE tY9 = 18h
.DEFINE tY0 = 19h
.DEFINE tX1T = 20h
.DEFINE tY1T = 21h
.DEFINE tX2T = 22h
.DEFINE tY2T = 23h
.DEFINE tX3T = 24h
.DEFINE tY3T = 25h
.DEFINE tX4T = 26h
.DEFINE tY4T = 27h
.DEFINE tX5T = 28h
.DEFINE tY5T = 29h
.DEFINE tX6T = 2Ah
.DEFINE tY6T = 2Bh
.DEFINE tR1 = 40h
.DEFINE tR2 = 41h
.DEFINE tR3 = 42h
.DEFINE tR4 = 43h
.DEFINE tR5 = 44h
.DEFINE tR6 = 45h
.DEFINE tun = 80h
.DEFINE tvn = 81h
.DEFINE twn = 82h
.DEFINE tPic1 = 00h
.DEFINE tPic2 = 01h
.DEFINE tPic3 = 02h
.DEFINE tPic4 = 03h
.DEFINE tPic5 = 04h
.DEFINE tPic6 = 05h
.DEFINE tPic7 = 06h
.DEFINE tPic8 = 07h
.DEFINE tPic9 = 08h
.DEFINE tPic0 = 09h
.DEFINE tGDB1 = 00h
.DEFINE tGDB2 = 01h
.DEFINE tGDB3 = 02h
.DEFINE tGDB4 = 03h
.DEFINE tGDB5 = 04h
.DEFINE tGDB6 = 05h
.DEFINE tGDB7 = 06h
.DEFINE tGDB8 = 07h
.DEFINE tGDB9 = 08h
.DEFINE tGDB0 = 09h
.DEFINE tStr1 = 00h
.DEFINE tStr2 = 01h
.DEFINE tStr3 = 02h
.DEFINE tStr4 = 03h
.DEFINE tStr5 = 04h
.DEFINE tStr6 = 05h
.DEFINE tStr7 = 06h
.DEFINE tStr8 = 07h
.DEFINE tStr9 = 08h
.DEFINE tStr0 = 09h
.DEFINE tRegEq = 01h
.DEFINE tStatN = 02h
.DEFINE tXMean = 03h
.DEFINE tSumX = 04h
.DEFINE tSumXSqr = 05h
.DEFINE tStdX = 06h
.DEFINE tStdPX = 07h
.DEFINE tMinX = 08h
.DEFINE tMaxX = 09h
.DEFINE tMinY = 0Ah
.DEFINE tMaxY = 0Bh
.DEFINE tYmean = 0Ch
.DEFINE tSumY = 0Dh
.DEFINE tSumYSqr = 0Eh
.DEFINE tStdY = 0Fh
.DEFINE tStdPY = 10h
.DEFINE tSumXY = 11h
.DEFINE tCorr = 12h
.DEFINE tMedX = 13h
.DEFINE tQ1 = 14h
.DEFINE tQ3 = 15h
.DEFINE tQuadA = 16h
.DEFINE tQuadB = 17h
.DEFINE tQuadC = 18h
.DEFINE tCubeD = 19h
.DEFINE tQuartE = 1Ah
.DEFINE tMedX1 = 1Bh
.DEFINE tMedX2 = 1Ch
.DEFINE tMedX3 = 1Dh
.DEFINE tMedY1 = 1Eh
.DEFINE tMedY2 = 1Fh
.DEFINE tMedY3 = 20h
.DEFINE tRecurn = 21h
.DEFINE tStatP = 22h
.DEFINE tStatZ = 23h
.DEFINE tStatT = 24h
.DEFINE tStatChi = 25h
.DEFINE tStatF = 26h
.DEFINE tStatDF = 27h
.DEFINE tStatPhat = 28h
.DEFINE tStatPhat1 = 29h
.DEFINE tStatPhat2 = 2Ah
.DEFINE tStatMeanX1 = 2Bh
.DEFINE tStatStdX1 = 2Ch
.DEFINE tStatN1 = 2Dh
.DEFINE tStatMeanX2 = 2Eh
.DEFINE tStatStdX2 = 2Fh
.DEFINE tStatN2 = 30h
.DEFINE tStatStdXP = 31h
.DEFINE tStatLower = 32h
.DEFINE tStatUpper = 33h
.DEFINE tStat_s = 34h
.DEFINE tLRSqr = 35h
.DEFINE tBRSqr = 36h
.DEFINE tF_DF = 37h
.DEFINE tF_SS = 38h
.DEFINE tF_MS = 39h
.DEFINE tE_DF = 3Ah
.DEFINE tE_SS = 3Bh
.DEFINE tE_MS = 3Ch
.DEFINE tuXscl = 0
.DEFINE tuYscl = 1
.DEFINE tXscl = 2
.DEFINE tYscl = 3
.DEFINE tRecuru0 = 4
.DEFINE tRecurv0 = 5
.DEFINE tun1 = 6
.DEFINE tvn1 = 7
.DEFINE tuRecuru0 = 8
.DEFINE tuRecurv0 = 9
.DEFINE tXmin = 0Ah
.DEFINE tXmax = 0Bh
.DEFINE tYmin = 0Ch
.DEFINE tYmax = 0Dh
.DEFINE tTmin = 0Eh
.DEFINE tTmax = 0Fh
.DEFINE tThetaMin = 10h
.DEFINE tThetaMax = 11h
.DEFINE tuXmin = 12h
.DEFINE tuXmax = 13h
.DEFINE tuYmin = 14h
.DEFINE tuYmax = 15h
.DEFINE tuThetMin = 16h
.DEFINE tuThetMax = 17h
.DEFINE tuTmin = 18h
.DEFINE tuTmax = 19h
.DEFINE tTblMin = 1Ah
.DEFINE tPlotStart = 1Bh
.DEFINE tuPlotStart = 1Ch
.DEFINE tnMax = 1Dh
.DEFINE tunMax = 1Eh
.DEFINE tnMin = 1Fh
.DEFINE tunMin = 20h
.DEFINE tTblStep = 21h
.DEFINE tTStep = 22h
.DEFINE tThetaStep = 23h
.DEFINE tuTStep = 24h
.DEFINE tuThetStep = 25h
.DEFINE tDeltaX = 26h
.DEFINE tDeltaY = 27h
.DEFINE tXFact = 28h
.DEFINE tYFact = 29h
.DEFINE tTblInput = 2Ah
.DEFINE tFinN = 2Bh
.DEFINE tFinI = 2Ch
.DEFINE tFinPV = 2Dh
.DEFINE tFinPMT = 2Eh
.DEFINE tFinFV = 2Fh
.DEFINE tFinPY = 30h
.DEFINE tFinCY = 31h
.DEFINE tRecurw0 = 32h
.DEFINE tuRecurw0 = 33h
.DEFINE tPlotStep = 34h
.DEFINE tuPlotStep = 35h
.DEFINE tXres = 36h
.DEFINE tuXres = 37h
.DEFINE tRecuru02 = 38h
.DEFINE tuRecuru02 = 39h
.DEFINE tRecurv02 = 3Ch
.DEFINE tuRecurv02 = 3Dh
.DEFINE tRecurw02 = 3Eh
.DEFINE tuRecurw02 = 3Fh
.DEFINE tFinNPV = 00h
.DEFINE tFinIRR = 01h
.DEFINE tFinBAL = 02h
.DEFINE tFinPRN = 03h
.DEFINE tFinINT = 04h
.DEFINE tFinToNom = 05h
.DEFINE tFinToEff = 06h
.DEFINE tFinDBD = 07h
.DEFINE tLCM = 08h
.DEFINE tGCD = 09h
.DEFINE tRandInt = 0Ah
.DEFINE tRandBin = 0Bh
.DEFINE tSubStrng = 0Ch
.DEFINE tStdDev = 0Dh
.DEFINE tVariance = 0Eh
.DEFINE tInStrng = 0Fh
.DEFINE tDNormal = 10h
.DEFINE tInvNorm = 11h
.DEFINE tDT = 12h
.DEFINE tChI = 13h
.DEFINE tDF = 14h
.DEFINE tBINPDF = 15h
.DEFINE tBINCDF = 16h
.DEFINE tPOIPDF = 17h
.DEFINE tPOICDF = 18h
.DEFINE tGEOPDF = 19h
.DEFINE tGEOCDF = 1Ah
.DEFINE tNormalPDF = 1Bh
.DEFINE tTPDF = 1Ch
.DEFINE tChiPDF = 1Dh
.DEFINE tFPDF = 1Eh
.DEFINE tRandNorm = 1Fh
.DEFINE tFinFPMT = 20h
.DEFINE tFinFI = 21h
.DEFINE tFinFPV = 22h
.DEFINE tFinFN = 23h
.DEFINE tFinFFV = 24h
.DEFINE tConj = 25h
.DEFINE tReal = 26h
.DEFINE tImag = 27h
.DEFINE tAngle = 28h
.DEFINE tCumSum = 29h
.DEFINE tExpr = 2Ah
.DEFINE tLength = 2Bh
.DEFINE tDeltaLst = 2Ch
.DEFINE tRef = 2Dh
.DEFINE tRRef = 2Eh
.DEFINE tToRect = 2Fh
.DEFINE tToPolar = 30h
.DEFINE tConste = 31h
.DEFINE tSinReg = 32h
.DEFINE tLogistic = 33h
.DEFINE tLinRegTTest = 34h
.DEFINE tShadeNorm = 35h
.DEFINE tShadeT = 36h
.DEFINE tShadeChi = 37h
.DEFINE tShadeF = 38h
.DEFINE tMatToLst = 39h
.DEFINE tLstToMat = 3Ah
.DEFINE tZTest = 3Bh
.DEFINE tTTest = 3Ch
.DEFINE t2SampZTest = 3Dh
.DEFINE t1PropZTest = 3Eh
.DEFINE t2PropZTest = 3Fh
.DEFINE tChiTest = 40h
.DEFINE tZIntVal = 41h
.DEFINE t2SampZInt = 42h
.DEFINE t1PropZInt = 43h
.DEFINE t2PropZInt = 44h
.DEFINE tGraphStyle = 45h
.DEFINE t2SampTTest = 46h
.DEFINE t2SampFTest = 47h
.DEFINE tTIntVal = 48h
.DEFINE t2SampTInt = 49h
.DEFINE tSetupLst = 4Ah
.DEFINE tFinPMTend = 4Bh
.DEFINE tFinPMTbeg = 4Ch
.DEFINE tRealM = 4Dh
.DEFINE tPolarM = 4Eh
.DEFINE tRectM = 4Fh
.DEFINE tExprOn = 50h
.DEFINE tExprOff = 51h
.DEFINE tClrAllLst = 52h
.DEFINE tGetCalc = 53h
.DEFINE tDelVar = 54h
.DEFINE tEquToStrng = 55h
.DEFINE tStrngToEqu = 56h
.DEFINE tDelLast = 57h
.DEFINE tSelect = 58h
.DEFINE tANOVA = 59h
.DEFINE tModBox = 5Ah
.DEFINE tNormProb = 5Bh
.DEFINE tMGT = 64h
.DEFINE tZFit = 65h
.DEFINE tDiag_on = 66h
.DEFINE tDiag_off = 67h
.DEFINE tOkEnd2v0 = 67h
.DEFINE tArchive = 68h
.DEFINE tUnarchive = 69h
.DEFINE tasm = 6Ah
.DEFINE tasmComp = 6Bh
.DEFINE tasmPrgm = 6Ch
.DEFINE tasmCmp = 6Dh
.DEFINE tLcapAAcute = 6Eh
.DEFINE tLcapAGrave = 6Fh
.DEFINE tLcapACaret = 70h
.DEFINE tLcapADier = 71h
.DEFINE tLaAcute = 72h
.DEFINE tLaGrave = 73h
.DEFINE tLaCaret = 74h
.DEFINE tLaDier = 75h
.DEFINE tLcapEAcute = 76h
.DEFINE tLcapEGrave = 77h
.DEFINE tLcapECaret = 78h
.DEFINE tLcapEDier = 79h
.DEFINE tLeAcute = 7Ah
.DEFINE tLeGrave = 7Bh
.DEFINE tLeCaret = 7Ch
.DEFINE tLeDier = 7Dh
.DEFINE tLcapIGrave = 7Fh
.DEFINE tLcapICaret = 80h
.DEFINE tLcapIDier = 81h
.DEFINE tLiAcute = 82h
.DEFINE tLiGrave = 83h
.DEFINE tLiCaret = 84h
.DEFINE tLiDier = 85h
.DEFINE tLcapOAcute = 86h
.DEFINE tLcapOGrave = 87h
.DEFINE tLcapOCaret = 88h
.DEFINE tLcapODier = 89h
.DEFINE tLoAcute = 8Ah
.DEFINE tLoGrave = 8Bh
.DEFINE tLoCaret = 8Ch
.DEFINE tLoDier = 8Dh
.DEFINE tLcapUAcute = 8Eh
.DEFINE tLcapUGrave = 8Fh
.DEFINE tLcapUCaret = 90h
.DEFINE tLcapUDier = 91h
.DEFINE tLuAcute = 92h
.DEFINE tLuGrave = 93h
.DEFINE tLuCaret = 94h
.DEFINE tLuDier = 95h
.DEFINE tLcapCCed = 96h
.DEFINE tLcCed = 97h
.DEFINE tLcapNTilde = 98h
.DEFINE tLnTilde = 99h
.DEFINE tLaccent = 9Ah
.DEFINE tLgrave = 9Bh
.DEFINE tLdieresis = 9Ch
.DEFINE tLquesDown = 9Dh
.DEFINE tLexclamDown = 9Eh
.DEFINE tLalpha = 9Fh
.DEFINE tLbeta = 0a0h
.DEFINE tLgamma = 0a1h
.DEFINE tLcapDelta = 0a2h
.DEFINE tLdelta = 0a3h
.DEFINE tLepsilon = 0a4h
.DEFINE tLlambda = 0a5h
.DEFINE tLmu = 0a6h
.DEFINE tLpi = 0a7h
.DEFINE tLrho = 0a8h
.DEFINE tLcapSigma = 0a9h
.DEFINE tLphi = 0aBh
.DEFINE tLcapOmega = 0aCh
.DEFINE tLphat = 0aDh
.DEFINE tLchi = 0aEh
.DEFINE tLstatF = 0aFh
.DEFINE tLa = 0b0h
.DEFINE tLb = 0b1h
.DEFINE tLc = 0b2h
.DEFINE tLd = 0b3h
.DEFINE tLsmalle = 0b4h
.DEFINE tLf = 0b5h
.DEFINE tLsmallg = 0b6h
.DEFINE tLh = 0b7h
.DEFINE tLi = 0b8h
.DEFINE tLj = 0b9h
.DEFINE tLk = 0bAh
.DEFINE tLl = 0bCh
.DEFINE tLm = 0bDh
.DEFINE tLsmalln = 0bEh
.DEFINE tLo = 0bFh
.DEFINE tLp = 0c0h
.DEFINE tLq = 0c1h
.DEFINE tLsmallr = 0c2h
.DEFINE tLs = 0c3h
.DEFINE tLsmallt = 0c4h
.DEFINE tLu = 0c5h
.DEFINE tLv = 0c6h
.DEFINE tLw = 0c7h
.DEFINE tLx = 0c8h
.DEFINE tLy = 0c9h
.DEFINE tLz = 0cAh
.DEFINE tLsigma = 0cbh
.DEFINE tLtau = 0cch
.DEFINE tLcapIAcute = 0cdh
.DEFINE tGarbagec = 0Ceh
.DEFINE LastToken = 0Ceh

; ======================================================================
; Data type equates
; ======================================================================
.DEFINE RealObj = 0
.DEFINE ListObj = 1
.DEFINE MatObj = 2
.DEFINE EquObj = 3
.DEFINE StrngObj = 4
.DEFINE ProgObj = 5
.DEFINE ProtProgObj = 6
.DEFINE PictObj = 7
.DEFINE GDBObj = 8
.DEFINE UnknownObj = 9
.DEFINE UnknownEquObj = 0Ah
.DEFINE NewEquObj = 0Bh
.DEFINE CplxObj = 0Ch
.DEFINE CListObj = 0Dh
.DEFINE UndefObj = 0Eh
.DEFINE WindowObj = 0Fh
.DEFINE ZStoObj = 10h
.DEFINE TblRngObj = 11h
.DEFINE LCDObj = 12h
.DEFINE BackupObj = 13h
.DEFINE AppObj = 14h
.DEFINE AppVarObj = 15h
.DEFINE TempProgObj = 16h
.DEFINE GroupObj = 17h

; ======================================================================
; I/O equates
; ======================================================================
.DEFINE D0D1_bits = 03h
.DEFINE D0LD1L = 03h
.DEFINE D0LD1H = 01h
.DEFINE D0HD1L = 02h
.DEFINE D0HD1H = 00h
.DEFINE bport = 0

; ======================================================================
; Device codes
; ======================================================================
.DEFINE TI82DEV = 82h
.DEFINE PC82DEV = 02h
.DEFINE MAC82DEV = 12h
.DEFINE TI83FDEV = 73h
.DEFINE LINK83FDEV = 23h
.DEFINE TI83DEV = 83h
.DEFINE PC83DEV = 03h
.DEFINE MAC83DEV = 13h
.DEFINE TI85DEV = 95h
.DEFINE PC85DEV = 05h
.DEFINE MAC85DEV = 15h
.DEFINE TI73DEV = 74h
.DEFINE PC73DEV = 07h
.DEFINE MAC73DEV = 17h
.DEFINE LINK73FDEV = 23h
.DEFINE PC83FDEV = 23h

; ======================================================================
; System Error Codes
; ======================================================================
.DEFINE E_EDITF = 7
.DEFINE E_EDIT = 1<<E_EDITF
.DEFINE E_Mask = 7Fh
.DEFINE E_Overflow = 1+E_EDIT
.DEFINE E_DivBy0 = 2+E_EDIT
.DEFINE E_SingularMat = 3+E_EDIT
.DEFINE E_Domain = 4+E_EDIT
.DEFINE E_Increment = 5+E_EDIT
.DEFINE E_Break = 6+E_EDIT
.DEFINE E_NonReal = 7+E_EDIT
.DEFINE E_Syntax = 8+E_EDIT
.DEFINE E_DataType = 9+E_EDIT
.DEFINE E_Argument = 10+E_EDIT
.DEFINE E_DimMismatch = 11+E_EDIT
.DEFINE E_Dimension = 12+E_EDIT
.DEFINE E_Undefined = 13+E_EDIT
.DEFINE E_Memory = 14+E_EDIT
.DEFINE E_Invalid = 15+E_EDIT
.DEFINE E_IllegalNest = 16+E_EDIT
.DEFINE E_Bound = 17+E_EDIT
.DEFINE E_GraphRange = 18+E_EDIT
.DEFINE E_Zoom = 19+E_EDIT
.DEFINE E_Label = 20
.DEFINE E_Stat = 21
.DEFINE E_Solver = 22+E_EDIT
.DEFINE E_Singularity = 23+E_EDIT
.DEFINE E_SignChange = 24+E_EDIT
.DEFINE E_Iterations = 25+E_EDIT
.DEFINE E_BadGuess = 26+E_EDIT
.DEFINE E_StatPlot = 27
.DEFINE E_TolTooSmall = 28+E_EDIT
.DEFINE E_Reserved = 29+E_EDIT
.DEFINE E_Mode = 30+E_EDIT
.DEFINE E_LnkErr = 31+E_EDIT
.DEFINE E_LnkMemErr = 32+E_EDIT
.DEFINE E_LnkTransErr = 33+E_EDIT
.DEFINE E_LnkDupErr = 34+E_EDIT
.DEFINE E_LnkMemFull = 35+E_EDIT
.DEFINE E_Unknown = 36+E_EDIT
.DEFINE E_Scale = 37+E_EDIT
.DEFINE E_IdNotFound = 38
.DEFINE E_NoMode = 39+E_EDIT
.DEFINE E_Validation = 40
.DEFINE E_Length = 41+E_EDIT
.DEFINE E_Application = 42+E_EDIT
.DEFINE E_AppErr1 = 43+E_EDIT
.DEFINE E_AppErr2 = 44+E_EDIT
.DEFINE E_ExpiredApp = 45
.DEFINE E_BadAddr = 46
.DEFINE E_Archived = 47+E_EDIT
.DEFINE E_Version = 48
.DEFINE E_ArchFull = 49
.DEFINE E_Variable = 50+E_EDIT
.DEFINE E_Duplicate = 51+E_EDIT
.DEFINE HigErrNum = 51
.DEFINE E_LinkIOChkSum = 34
.DEFINE E_LinkIOTimeOut = 35
.DEFINE E_LinkIOBusy = 36
.DEFINE E_LinkIOVer = 37

; ======================================================================
; Equates to RAM locations for stat vars
; ======================================================================
.DEFINE FPLEN = 9
.DEFINE StatN = statVars
.DEFINE XMean = StatN+FPLEN
.DEFINE SumX = XMean+FPLEN
.DEFINE SumXSqr = SumX+FPLEN
.DEFINE StdX = SumXSqr+FPLEN
.DEFINE StdPX = StdX+FPLEN
.DEFINE MinX = StdPX+FPLEN
.DEFINE MaxX = MinX+FPLEN
.DEFINE MinY = MaxX+FPLEN
.DEFINE MaxY = MinY+FPLEN
.DEFINE YMean = MaxY+FPLEN
.DEFINE SumY = YMean+FPLEN
.DEFINE SumYSqr = SumY+FPLEN
.DEFINE StdY = SumYSqr+FPLEN
.DEFINE StdPY = StdY+FPLEN
.DEFINE SumXY = StdPY+FPLEN
.DEFINE Corr = SumXY+FPLEN
.DEFINE MedX = Corr+FPLEN
.DEFINE Q1 = MedX+FPLEN
.DEFINE Q3 = Q1+FPLEN
.DEFINE QuadA = Q3+FPLEN
.DEFINE QuadB = QuadA+FPLEN
.DEFINE QuadC = QuadB+FPLEN
.DEFINE CubeD = QuadC+FPLEN
.DEFINE QuartE = CubeD+FPLEN
.DEFINE MedX1 = QuartE+FPLEN
.DEFINE MedX2 = MedX1+FPLEN
.DEFINE MedX3 = MedX2+FPLEN
.DEFINE MedY1 = MedX3+FPLEN
.DEFINE MedY2 = MedY1+FPLEN
.DEFINE MedY3 = MedY2+FPLEN
.DEFINE PStat = MedY3+2*FPLEN
.DEFINE ZStat = PStat+FPLEN
.DEFINE TStat = ZStat+FPLEN
.DEFINE ChiStat = TStat+FPLEN
.DEFINE FStat = ChiStat+FPLEN
.DEFINE DF = FStat+FPLEN
.DEFINE Phat = DF+FPLEN
.DEFINE Phat1 = Phat+FPLEN
.DEFINE Phat2 = Phat1+FPLEN
.DEFINE MeanX1 = Phat2+FPLEN
.DEFINE StdX1 = MeanX1+FPLEN
.DEFINE StatN1 = StdX1+FPLEN
.DEFINE MeanX2 = StatN1+FPLEN
.DEFINE StdX2 = MeanX2+FPLEN
.DEFINE StatN2 = StdX2+FPLEN
.DEFINE StdXP2 = StatN2+FPLEN
.DEFINE SLower = StdXP2+FPLEN
.DEFINE SUpper = SLower+FPLEN
.DEFINE SStat = SUpper+FPLEN
.DEFINE F_DF = anovaf_vars
.DEFINE F_SS = F_DF+FPLEN
.DEFINE F_MS = F_SS+FPLEN
.DEFINE E_DF = F_MS+FPLEN
.DEFINE E_SS = E_DF+FPLEN
.DEFINE E_MS = E_SS+FPLEN