; =============================================================
; TI-83 PLUS MEMORY MAP
; =============================================================
.ROMBANKSIZE $4000 ; 16KB
.ROMBANKS 2        ; Treat as having two ROM banks (32KB)
.MEMORYMAP         ; Calculator memory map
SLOTSIZE $4000     ; Each slot is 16KB
DEFAULTSLOT 2      ; Default slot is 2
SLOT 0 $0000       ; 16K Always Flash ROM Page 0
SLOT 1 $4000       ; 16K RAM Page 0,1 or Flash ROM Pages 0-31
SLOT 2 $8000       ; 16K RAM Page 0,1 or Flash ROM Pages 0-31
SLOT 3 $C000       ; 16K Always RAM Page 0
.ENDME
; The 16K byte address space from 0000h to 3FFFh is ROM page 0
; from the Flash ROM. It is always present.
; The 16K byte address space from 4000h to 7FFFh is used for 
; swapping a 16K byte ROM page from the Flash ROM. This allows
; the TI-83 Plus system to extend beyond its 64K byte physical
; addressing capabilities.
; TI-83 Plus physical RAM consists of 32K bytes starting at
; address 8000h.
.BANK    0 SLOT 2

.IFNDEF SHELL
    .DEFINE SHELL "ION"
.ENDIF
.IFNDEF PLATFORM
    .DEFINE SHELL "REGULAR"
.ENDIF

.IF PLATFORM == "PLUS"
    ; Includes:
    .INCLUDE "../includes/ti83+/ti83plus.inc"
    ; Header:
    .ORGA    $9D93
    .DB    $BB,$6D
    .IF SHELL == "ION"
        .INCLUDE "../includes/ti83+/ion8x.inc"
        ret
        jr nc,init_all
        .DB DESCRIPTION, 0
    .ELSE
        .IF SHELL == "MIRAGE"
            .INCLUDE "../includes/ti83+/mirage.inc"
            ret
            .db 1
            .INCLUDE "../resources/icon.inc"
        .ELSE
            .IF SHELL != "NONE"
                .PRINTT "ERROR: Invalid shell selected.\n"
            .ENDIF
        .ENDIF
    .ENDIF
.ELSE
    .PRINTT "ERROR: Invalid platform selected.\n"
.ENDIF                                                